<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BelgianBusinessFinancialValues StructType
 * @subpackage Structs
 */
class BelgianBusinessFinancialValues extends AbstractStructBase
{
    /**
     * The fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $fixed_assets;
    /**
     * The number_of_employees
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $number_of_employees;
    /**
     * The number_of_employees_men
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $number_of_employees_men;
    /**
     * The number_of_employees_women
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $number_of_employees_women;
    /**
     * The capital
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $capital;
    /**
     * The financial_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $financial_fixed_assets;
    /**
     * The currents_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $currents_assets;
    /**
     * The amounts_receivable_more_one_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $amounts_receivable_more_one_year;
    /**
     * The trade_debtors_within_one_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $trade_debtors_within_one_year;
    /**
     * The equity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $equity;
    /**
     * The amounts_payable_within_one_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $amounts_payable_within_one_year;
    /**
     * The trade_debts_payable_within_one_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $trade_debts_payable_within_one_year;
    /**
     * The turnover
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $turnover;
    /**
     * The gross_operating_margin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $gross_operating_margin;
    /**
     * The increase_decrease_stocks_work_contracts_progress
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $increase_decrease_stocks_work_contracts_progress;
    /**
     * The contributions_gifts_legacies_grants
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $contributions_gifts_legacies_grants;
    /**
     * The remuneration_social_security_pensions
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $remuneration_social_security_pensions;
    /**
     * The
     * depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_f
     * ixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets;
    /**
     * The
     * amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_writ
     * e_backs
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs;
    /**
     * The provisions_risks_charges_appropriations_write_backs
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $provisions_risks_charges_appropriations_write_backs;
    /**
     * The operating_charges
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $operating_charges;
    /**
     * The operating_profit_loss
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $operating_profit_loss;
    /**
     * The financial_income
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $financial_income;
    /**
     * The financial_charges
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $financial_charges;
    /**
     * The extraordinary_income
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $extraordinary_income;
    /**
     * The extraordinary_charges
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $extraordinary_charges;
    /**
     * The income_taxes
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $income_taxes;
    /**
     * The gain_loss_period
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $gain_loss_period;
    /**
     * The tangible_fixed_assets_acquisition_including_produced_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $tangible_fixed_assets_acquisition_including_produced_fixed_assets;
    /**
     * The tangible_fixed_assets_revaluation_gains_third_parties
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $tangible_fixed_assets_revaluation_gains_third_parties;
    /**
     * The tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party;
    /**
     * The outstanding_taxes_payable_due_tax_authorities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $outstanding_taxes_payable_due_tax_authorities;
    /**
     * The remuneration_social_security_recipient_national_social_security_office
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $remuneration_social_security_recipient_national_social_security_office;
    /**
     * The amounts_receivable_within_one_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $amounts_receivable_within_one_year;
    /**
     * The accrued_charges_deferred_income
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $accrued_charges_deferred_income;
    /**
     * The current_investments
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $current_investments;
    /**
     * The cash_bank_hand
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $cash_bank_hand;
    /**
     * The equity_liabilities
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $equity_liabilities;
    /**
     * The operating_income
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $operating_income;
    /**
     * The other_operating_income
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $other_operating_income;
    /**
     * The operating_subsidies_compensatory_amounts
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $operating_subsidies_compensatory_amounts;
    /**
     * The capital_subsidies_granted_public_authorities_recorded_income_period
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $capital_subsidies_granted_public_authorities_recorded_income_period;
    /**
     * The raw_materials_consumables
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $raw_materials_consumables;
    /**
     * The services_other_goods
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $services_other_goods;
    /**
     * The hired_temporary_staff_costs_enterprise
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $hired_temporary_staff_costs_enterprise;
    /**
     * The persons_placed_enterprises_disposal_costs_enterprise
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $persons_placed_enterprises_disposal_costs_enterprise;
    /**
     * The
     * employees_recorded_personnel_register_average_number_employees_calculated_full_t
     * ime_equivalents
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents;
    /**
     * The stock_raw_materials_consumables
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $stock_raw_materials_consumables;
    /**
     * The stock_goods_purchased_resale
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $stock_goods_purchased_resale;
    /**
     * The stock_immovable_property_intended_sale
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $stock_immovable_property_intended_sale;
    /**
     * The advance_payments_purchases_stocks
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $advance_payments_purchases_stocks;
    /**
     * The stocks_contracts_progress
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $stocks_contracts_progress;
    /**
     * The deferred_charges_accrued_income
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $deferred_charges_accrued_income;
    /**
     * The own_construction_capitalised
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $own_construction_capitalised;
    /**
     * The stock_work_progress
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $stock_work_progress;
    /**
     * The stock_finished_goods
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $stock_finished_goods;
    /**
     * The contracts_progress
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $contracts_progress;
    /**
     * The personal_guarantees_provided_or_irrevocably_promised_by_enterprise
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $personal_guarantees_provided_or_irrevocably_promised_by_enterprise;
    /**
     * The value_added_taxes_charged_by_enterprise
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $value_added_taxes_charged_by_enterprise;
    /**
     * The purchases_raw_materials_consumables
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $purchases_raw_materials_consumables;
    /**
     * The value_added_taxes_charged_to_enterprise
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $value_added_taxes_charged_to_enterprise;
    /**
     * The amounts_written_down_current_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $amounts_written_down_current_assets;
    /**
     * The provisions_financial_nature_appropriations
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $provisions_financial_nature_appropriations;
    /**
     * The provisions_financial_nature_uses_write_backs
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $provisions_financial_nature_uses_write_backs;
    /**
     * The extraordinary_depreciation_extraordinary_amounts_written_down
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $extraordinary_depreciation_extraordinary_amounts_written_down;
    /**
     * The amounts_written_down_financial_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $amounts_written_down_financial_fixed_assets;
    /**
     * The provisions_extraordinary_liabilities_charges_appropriations_uses
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $provisions_extraordinary_liabilities_charges_appropriations_uses;
    /**
     * The
     * write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets;
    /**
     * The write_back_amounts_written_down_financial_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $write_back_amounts_written_down_financial_fixed_assets;
    /**
     * The write_back_provisions_extraordinary_liabilities_charges
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $write_back_provisions_extraordinary_liabilities_charges;
    /**
     * The losses_disposal_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $losses_disposal_fixed_assets;
    /**
     * The income_taxes_result_period
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $income_taxes_result_period;
    /**
     * The transfer_from_deferred_taxes
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $transfer_from_deferred_taxes;
    /**
     * The transfer_to_deferred_taxes
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $transfer_to_deferred_taxes;
    /**
     * The assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $assets;
    /**
     * The interest_subsidies_granted_public_authorities_recorded_income_period
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $interest_subsidies_granted_public_authorities_recorded_income_period;
    /**
     * The charges_discounting_amounts_receivable
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $charges_discounting_amounts_receivable;
    /**
     * The debt_charges
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $debt_charges;
    /**
     * The depreciation_loan_issue_expenses_reimbursement_premiums
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $depreciation_loan_issue_expenses_reimbursement_premiums;
    /**
     * The provisions_pensions_similar_obligations_appropriations_write_backs
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $provisions_pensions_similar_obligations_appropriations_write_backs;
    /**
     * The current_portion_amounts_payable_more_one_year_falling_due_within_one_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $current_portion_amounts_payable_more_one_year_falling_due_within_one_year;
    /**
     * The amounts_payable_more_one_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $amounts_payable_more_one_year;
    /**
     * The provisions_deferred_taxes
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $provisions_deferred_taxes;
    /**
     * The amounts_payable
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $amounts_payable;
    /**
     * The reserves
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $reserves;
    /**
     * The accumulated_profits_losses
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $accumulated_profits_losses;
    /**
     * The financial_debts_payable_within_one_year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $financial_debts_payable_within_one_year;
    /**
     * The formation_expenses
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $formation_expenses;
    /**
     * The intangible_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $intangible_fixed_assets;
    /**
     * The tangible_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $tangible_fixed_assets;
    /**
     * The land_buildings_acquisition_including_produced_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $land_buildings_acquisition_including_produced_fixed_assets;
    /**
     * The plant_machinery_equipment_acquisition_including_produced_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $plant_machinery_equipment_acquisition_including_produced_fixed_assets;
    /**
     * The furniture_vehicles_acquisition_including_produced_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $furniture_vehicles_acquisition_including_produced_fixed_assets;
    /**
     * The leasing_other_similar_rights_acquisition_including_produced_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $leasing_other_similar_rights_acquisition_including_produced_fixed_assets;
    /**
     * The other_tangible_fixed_assets_acquisition_including_produced_fixed_assets
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $other_tangible_fixed_assets_acquisition_including_produced_fixed_assets;
    /**
     * The tangible_fixed_assets_under_construction
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $tangible_fixed_assets_under_construction;
    /**
     * The land_buildings_revaluation_gains_third_parties
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $land_buildings_revaluation_gains_third_parties;
    /**
     * The plant_machinery_equipment_revaluation_gains_third_parties
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $plant_machinery_equipment_revaluation_gains_third_parties;
    /**
     * The furniture_vehicles_revaluation_gains_third_parties
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $furniture_vehicles_revaluation_gains_third_parties;
    /**
     * The leasing_other_similar_rights_revaluation_gains_third_parties
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $leasing_other_similar_rights_revaluation_gains_third_parties;
    /**
     * The other_tangible_fixed_assets_revaluation_gains_third_parties
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $other_tangible_fixed_assets_revaluation_gains_third_parties;
    /**
     * The
     * tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_thir
     * d_parties
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties;
    /**
     * The land_buildings_depreciations_amount_written_down_acquired_third_party
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $land_buildings_depreciations_amount_written_down_acquired_third_party;
    /**
     * The
     * plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party;
    /**
     * The furniture_vehicles_depreciations_amount_written_down_acquired_third_party
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $furniture_vehicles_depreciations_amount_written_down_acquired_third_party;
    /**
     * The
     * leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_pa
     * rty
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party;
    /**
     * The
     * other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_par
     * ty
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party;
    /**
     * The tangible_fixed_assets_under_construction_advance_payments_depreciations
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $tangible_fixed_assets_under_construction_advance_payments_depreciations;
    /**
     * The employees_recorded_personnel_register_total_number_closing_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $employees_recorded_personnel_register_total_number_closing_date;
    /**
     * The
     * number_employees_personnel_register_closing_date_financial_year_men_full_time
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $number_employees_personnel_register_closing_date_financial_year_men_full_time;
    /**
     * The
     * number_employees_personnel_register_closing_date_financial_year_women_full_time
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $number_employees_personnel_register_closing_date_financial_year_women_full_time;
    /**
     * The
     * number_employees_personnel_register_closing_date_financial_year_men_part_time
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $number_employees_personnel_register_closing_date_financial_year_men_part_time;
    /**
     * The
     * number_employees_personnel_register_closing_date_financial_year_women_part_time
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $number_employees_personnel_register_closing_date_financial_year_women_part_time;
    /**
     * The investments
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $investments;
    /**
     * The added_value
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $added_value;
    /**
     * Constructor method for BelgianBusinessFinancialValues
     * @uses BelgianBusinessFinancialValues::setFixed_assets()
     * @uses BelgianBusinessFinancialValues::setNumber_of_employees()
     * @uses BelgianBusinessFinancialValues::setNumber_of_employees_men()
     * @uses BelgianBusinessFinancialValues::setNumber_of_employees_women()
     * @uses BelgianBusinessFinancialValues::setCapital()
     * @uses BelgianBusinessFinancialValues::setFinancial_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setCurrents_assets()
     * @uses BelgianBusinessFinancialValues::setAmounts_receivable_more_one_year()
     * @uses BelgianBusinessFinancialValues::setTrade_debtors_within_one_year()
     * @uses BelgianBusinessFinancialValues::setEquity()
     * @uses BelgianBusinessFinancialValues::setAmounts_payable_within_one_year()
     * @uses BelgianBusinessFinancialValues::setTrade_debts_payable_within_one_year()
     * @uses BelgianBusinessFinancialValues::setTurnover()
     * @uses BelgianBusinessFinancialValues::setGross_operating_margin()
     * @uses BelgianBusinessFinancialValues::setIncrease_decrease_stocks_work_contracts_progress()
     * @uses BelgianBusinessFinancialValues::setContributions_gifts_legacies_grants()
     * @uses BelgianBusinessFinancialValues::setRemuneration_social_security_pensions()
     * @uses BelgianBusinessFinancialValues::setDepreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setAmounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs()
     * @uses BelgianBusinessFinancialValues::setProvisions_risks_charges_appropriations_write_backs()
     * @uses BelgianBusinessFinancialValues::setOperating_charges()
     * @uses BelgianBusinessFinancialValues::setOperating_profit_loss()
     * @uses BelgianBusinessFinancialValues::setFinancial_income()
     * @uses BelgianBusinessFinancialValues::setFinancial_charges()
     * @uses BelgianBusinessFinancialValues::setExtraordinary_income()
     * @uses BelgianBusinessFinancialValues::setExtraordinary_charges()
     * @uses BelgianBusinessFinancialValues::setIncome_taxes()
     * @uses BelgianBusinessFinancialValues::setGain_loss_period()
     * @uses BelgianBusinessFinancialValues::setTangible_fixed_assets_acquisition_including_produced_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setTangible_fixed_assets_revaluation_gains_third_parties()
     * @uses BelgianBusinessFinancialValues::setTangible_fixed_assets_depreciations_amount_written_down_acquired_third_party()
     * @uses BelgianBusinessFinancialValues::setOutstanding_taxes_payable_due_tax_authorities()
     * @uses BelgianBusinessFinancialValues::setRemuneration_social_security_recipient_national_social_security_office()
     * @uses BelgianBusinessFinancialValues::setAmounts_receivable_within_one_year()
     * @uses BelgianBusinessFinancialValues::setAccrued_charges_deferred_income()
     * @uses BelgianBusinessFinancialValues::setCurrent_investments()
     * @uses BelgianBusinessFinancialValues::setCash_bank_hand()
     * @uses BelgianBusinessFinancialValues::setEquity_liabilities()
     * @uses BelgianBusinessFinancialValues::setOperating_income()
     * @uses BelgianBusinessFinancialValues::setOther_operating_income()
     * @uses BelgianBusinessFinancialValues::setOperating_subsidies_compensatory_amounts()
     * @uses BelgianBusinessFinancialValues::setCapital_subsidies_granted_public_authorities_recorded_income_period()
     * @uses BelgianBusinessFinancialValues::setRaw_materials_consumables()
     * @uses BelgianBusinessFinancialValues::setServices_other_goods()
     * @uses BelgianBusinessFinancialValues::setHired_temporary_staff_costs_enterprise()
     * @uses BelgianBusinessFinancialValues::setPersons_placed_enterprises_disposal_costs_enterprise()
     * @uses BelgianBusinessFinancialValues::setEmployees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents()
     * @uses BelgianBusinessFinancialValues::setStock_raw_materials_consumables()
     * @uses BelgianBusinessFinancialValues::setStock_goods_purchased_resale()
     * @uses BelgianBusinessFinancialValues::setStock_immovable_property_intended_sale()
     * @uses BelgianBusinessFinancialValues::setAdvance_payments_purchases_stocks()
     * @uses BelgianBusinessFinancialValues::setStocks_contracts_progress()
     * @uses BelgianBusinessFinancialValues::setDeferred_charges_accrued_income()
     * @uses BelgianBusinessFinancialValues::setOwn_construction_capitalised()
     * @uses BelgianBusinessFinancialValues::setStock_work_progress()
     * @uses BelgianBusinessFinancialValues::setStock_finished_goods()
     * @uses BelgianBusinessFinancialValues::setContracts_progress()
     * @uses BelgianBusinessFinancialValues::setPersonal_guarantees_provided_or_irrevocably_promised_by_enterprise()
     * @uses BelgianBusinessFinancialValues::setValue_added_taxes_charged_by_enterprise()
     * @uses BelgianBusinessFinancialValues::setPurchases_raw_materials_consumables()
     * @uses BelgianBusinessFinancialValues::setValue_added_taxes_charged_to_enterprise()
     * @uses BelgianBusinessFinancialValues::setAmounts_written_down_current_assets()
     * @uses BelgianBusinessFinancialValues::setProvisions_financial_nature_appropriations()
     * @uses BelgianBusinessFinancialValues::setProvisions_financial_nature_uses_write_backs()
     * @uses BelgianBusinessFinancialValues::setExtraordinary_depreciation_extraordinary_amounts_written_down()
     * @uses BelgianBusinessFinancialValues::setAmounts_written_down_financial_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setProvisions_extraordinary_liabilities_charges_appropriations_uses()
     * @uses BelgianBusinessFinancialValues::setWrite_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setWrite_back_amounts_written_down_financial_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setWrite_back_provisions_extraordinary_liabilities_charges()
     * @uses BelgianBusinessFinancialValues::setLosses_disposal_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setIncome_taxes_result_period()
     * @uses BelgianBusinessFinancialValues::setTransfer_from_deferred_taxes()
     * @uses BelgianBusinessFinancialValues::setTransfer_to_deferred_taxes()
     * @uses BelgianBusinessFinancialValues::setAssets()
     * @uses BelgianBusinessFinancialValues::setInterest_subsidies_granted_public_authorities_recorded_income_period()
     * @uses BelgianBusinessFinancialValues::setCharges_discounting_amounts_receivable()
     * @uses BelgianBusinessFinancialValues::setDebt_charges()
     * @uses BelgianBusinessFinancialValues::setDepreciation_loan_issue_expenses_reimbursement_premiums()
     * @uses BelgianBusinessFinancialValues::setProvisions_pensions_similar_obligations_appropriations_write_backs()
     * @uses BelgianBusinessFinancialValues::setCurrent_portion_amounts_payable_more_one_year_falling_due_within_one_year()
     * @uses BelgianBusinessFinancialValues::setAmounts_payable_more_one_year()
     * @uses BelgianBusinessFinancialValues::setProvisions_deferred_taxes()
     * @uses BelgianBusinessFinancialValues::setAmounts_payable()
     * @uses BelgianBusinessFinancialValues::setReserves()
     * @uses BelgianBusinessFinancialValues::setAccumulated_profits_losses()
     * @uses BelgianBusinessFinancialValues::setFinancial_debts_payable_within_one_year()
     * @uses BelgianBusinessFinancialValues::setFormation_expenses()
     * @uses BelgianBusinessFinancialValues::setIntangible_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setTangible_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setLand_buildings_acquisition_including_produced_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setPlant_machinery_equipment_acquisition_including_produced_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setFurniture_vehicles_acquisition_including_produced_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setLeasing_other_similar_rights_acquisition_including_produced_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setOther_tangible_fixed_assets_acquisition_including_produced_fixed_assets()
     * @uses BelgianBusinessFinancialValues::setTangible_fixed_assets_under_construction()
     * @uses BelgianBusinessFinancialValues::setLand_buildings_revaluation_gains_third_parties()
     * @uses BelgianBusinessFinancialValues::setPlant_machinery_equipment_revaluation_gains_third_parties()
     * @uses BelgianBusinessFinancialValues::setFurniture_vehicles_revaluation_gains_third_parties()
     * @uses BelgianBusinessFinancialValues::setLeasing_other_similar_rights_revaluation_gains_third_parties()
     * @uses BelgianBusinessFinancialValues::setOther_tangible_fixed_assets_revaluation_gains_third_parties()
     * @uses BelgianBusinessFinancialValues::setTangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties()
     * @uses BelgianBusinessFinancialValues::setLand_buildings_depreciations_amount_written_down_acquired_third_party()
     * @uses BelgianBusinessFinancialValues::setPlant_machinery_equipment_depreciations_amount_written_down_acquired_third_party()
     * @uses BelgianBusinessFinancialValues::setFurniture_vehicles_depreciations_amount_written_down_acquired_third_party()
     * @uses BelgianBusinessFinancialValues::setLeasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party()
     * @uses BelgianBusinessFinancialValues::setOther_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party()
     * @uses BelgianBusinessFinancialValues::setTangible_fixed_assets_under_construction_advance_payments_depreciations()
     * @uses BelgianBusinessFinancialValues::setEmployees_recorded_personnel_register_total_number_closing_date()
     * @uses BelgianBusinessFinancialValues::setNumber_employees_personnel_register_closing_date_financial_year_men_full_time()
     * @uses BelgianBusinessFinancialValues::setNumber_employees_personnel_register_closing_date_financial_year_women_full_time()
     * @uses BelgianBusinessFinancialValues::setNumber_employees_personnel_register_closing_date_financial_year_men_part_time()
     * @uses BelgianBusinessFinancialValues::setNumber_employees_personnel_register_closing_date_financial_year_women_part_time()
     * @uses BelgianBusinessFinancialValues::setInvestments()
     * @uses BelgianBusinessFinancialValues::setAdded_value()
     * @param float $fixed_assets
     * @param int $number_of_employees
     * @param int $number_of_employees_men
     * @param int $number_of_employees_women
     * @param float $capital
     * @param float $financial_fixed_assets
     * @param float $currents_assets
     * @param float $amounts_receivable_more_one_year
     * @param float $trade_debtors_within_one_year
     * @param float $equity
     * @param float $amounts_payable_within_one_year
     * @param float $trade_debts_payable_within_one_year
     * @param float $turnover
     * @param float $gross_operating_margin
     * @param float $increase_decrease_stocks_work_contracts_progress
     * @param float $contributions_gifts_legacies_grants
     * @param float $remuneration_social_security_pensions
     * @param float $depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets
     * @param float $amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs
     * @param float $provisions_risks_charges_appropriations_write_backs
     * @param float $operating_charges
     * @param float $operating_profit_loss
     * @param float $financial_income
     * @param float $financial_charges
     * @param float $extraordinary_income
     * @param float $extraordinary_charges
     * @param float $income_taxes
     * @param float $gain_loss_period
     * @param float $tangible_fixed_assets_acquisition_including_produced_fixed_assets
     * @param float $tangible_fixed_assets_revaluation_gains_third_parties
     * @param float $tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party
     * @param float $outstanding_taxes_payable_due_tax_authorities
     * @param float $remuneration_social_security_recipient_national_social_security_office
     * @param float $amounts_receivable_within_one_year
     * @param float $accrued_charges_deferred_income
     * @param float $current_investments
     * @param float $cash_bank_hand
     * @param float $equity_liabilities
     * @param float $operating_income
     * @param float $other_operating_income
     * @param float $operating_subsidies_compensatory_amounts
     * @param float $capital_subsidies_granted_public_authorities_recorded_income_period
     * @param float $raw_materials_consumables
     * @param float $services_other_goods
     * @param float $hired_temporary_staff_costs_enterprise
     * @param float $persons_placed_enterprises_disposal_costs_enterprise
     * @param float $employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents
     * @param float $stock_raw_materials_consumables
     * @param float $stock_goods_purchased_resale
     * @param float $stock_immovable_property_intended_sale
     * @param float $advance_payments_purchases_stocks
     * @param float $stocks_contracts_progress
     * @param float $deferred_charges_accrued_income
     * @param float $own_construction_capitalised
     * @param float $stock_work_progress
     * @param float $stock_finished_goods
     * @param float $contracts_progress
     * @param float $personal_guarantees_provided_or_irrevocably_promised_by_enterprise
     * @param float $value_added_taxes_charged_by_enterprise
     * @param float $purchases_raw_materials_consumables
     * @param float $value_added_taxes_charged_to_enterprise
     * @param float $amounts_written_down_current_assets
     * @param float $provisions_financial_nature_appropriations
     * @param float $provisions_financial_nature_uses_write_backs
     * @param float $extraordinary_depreciation_extraordinary_amounts_written_down
     * @param float $amounts_written_down_financial_fixed_assets
     * @param float $provisions_extraordinary_liabilities_charges_appropriations_uses
     * @param float $write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets
     * @param float $write_back_amounts_written_down_financial_fixed_assets
     * @param float $write_back_provisions_extraordinary_liabilities_charges
     * @param float $losses_disposal_fixed_assets
     * @param float $income_taxes_result_period
     * @param float $transfer_from_deferred_taxes
     * @param float $transfer_to_deferred_taxes
     * @param float $assets
     * @param float $interest_subsidies_granted_public_authorities_recorded_income_period
     * @param float $charges_discounting_amounts_receivable
     * @param float $debt_charges
     * @param float $depreciation_loan_issue_expenses_reimbursement_premiums
     * @param float $provisions_pensions_similar_obligations_appropriations_write_backs
     * @param float $current_portion_amounts_payable_more_one_year_falling_due_within_one_year
     * @param float $amounts_payable_more_one_year
     * @param float $provisions_deferred_taxes
     * @param float $amounts_payable
     * @param float $reserves
     * @param float $accumulated_profits_losses
     * @param float $financial_debts_payable_within_one_year
     * @param float $formation_expenses
     * @param float $intangible_fixed_assets
     * @param float $tangible_fixed_assets
     * @param float $land_buildings_acquisition_including_produced_fixed_assets
     * @param float $plant_machinery_equipment_acquisition_including_produced_fixed_assets
     * @param float $furniture_vehicles_acquisition_including_produced_fixed_assets
     * @param float $leasing_other_similar_rights_acquisition_including_produced_fixed_assets
     * @param float $other_tangible_fixed_assets_acquisition_including_produced_fixed_assets
     * @param float $tangible_fixed_assets_under_construction
     * @param float $land_buildings_revaluation_gains_third_parties
     * @param float $plant_machinery_equipment_revaluation_gains_third_parties
     * @param float $furniture_vehicles_revaluation_gains_third_parties
     * @param float $leasing_other_similar_rights_revaluation_gains_third_parties
     * @param float $other_tangible_fixed_assets_revaluation_gains_third_parties
     * @param float $tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties
     * @param float $land_buildings_depreciations_amount_written_down_acquired_third_party
     * @param float $plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party
     * @param float $furniture_vehicles_depreciations_amount_written_down_acquired_third_party
     * @param float $leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party
     * @param float $other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party
     * @param float $tangible_fixed_assets_under_construction_advance_payments_depreciations
     * @param float $employees_recorded_personnel_register_total_number_closing_date
     * @param float $number_employees_personnel_register_closing_date_financial_year_men_full_time
     * @param float $number_employees_personnel_register_closing_date_financial_year_women_full_time
     * @param float $number_employees_personnel_register_closing_date_financial_year_men_part_time
     * @param float $number_employees_personnel_register_closing_date_financial_year_women_part_time
     * @param float $investments
     * @param float $added_value
     */
    public function __construct($fixed_assets = null, $number_of_employees = null, $number_of_employees_men = null, $number_of_employees_women = null, $capital = null, $financial_fixed_assets = null, $currents_assets = null, $amounts_receivable_more_one_year = null, $trade_debtors_within_one_year = null, $equity = null, $amounts_payable_within_one_year = null, $trade_debts_payable_within_one_year = null, $turnover = null, $gross_operating_margin = null, $increase_decrease_stocks_work_contracts_progress = null, $contributions_gifts_legacies_grants = null, $remuneration_social_security_pensions = null, $depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets = null, $amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs = null, $provisions_risks_charges_appropriations_write_backs = null, $operating_charges = null, $operating_profit_loss = null, $financial_income = null, $financial_charges = null, $extraordinary_income = null, $extraordinary_charges = null, $income_taxes = null, $gain_loss_period = null, $tangible_fixed_assets_acquisition_including_produced_fixed_assets = null, $tangible_fixed_assets_revaluation_gains_third_parties = null, $tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party = null, $outstanding_taxes_payable_due_tax_authorities = null, $remuneration_social_security_recipient_national_social_security_office = null, $amounts_receivable_within_one_year = null, $accrued_charges_deferred_income = null, $current_investments = null, $cash_bank_hand = null, $equity_liabilities = null, $operating_income = null, $other_operating_income = null, $operating_subsidies_compensatory_amounts = null, $capital_subsidies_granted_public_authorities_recorded_income_period = null, $raw_materials_consumables = null, $services_other_goods = null, $hired_temporary_staff_costs_enterprise = null, $persons_placed_enterprises_disposal_costs_enterprise = null, $employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents = null, $stock_raw_materials_consumables = null, $stock_goods_purchased_resale = null, $stock_immovable_property_intended_sale = null, $advance_payments_purchases_stocks = null, $stocks_contracts_progress = null, $deferred_charges_accrued_income = null, $own_construction_capitalised = null, $stock_work_progress = null, $stock_finished_goods = null, $contracts_progress = null, $personal_guarantees_provided_or_irrevocably_promised_by_enterprise = null, $value_added_taxes_charged_by_enterprise = null, $purchases_raw_materials_consumables = null, $value_added_taxes_charged_to_enterprise = null, $amounts_written_down_current_assets = null, $provisions_financial_nature_appropriations = null, $provisions_financial_nature_uses_write_backs = null, $extraordinary_depreciation_extraordinary_amounts_written_down = null, $amounts_written_down_financial_fixed_assets = null, $provisions_extraordinary_liabilities_charges_appropriations_uses = null, $write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets = null, $write_back_amounts_written_down_financial_fixed_assets = null, $write_back_provisions_extraordinary_liabilities_charges = null, $losses_disposal_fixed_assets = null, $income_taxes_result_period = null, $transfer_from_deferred_taxes = null, $transfer_to_deferred_taxes = null, $assets = null, $interest_subsidies_granted_public_authorities_recorded_income_period = null, $charges_discounting_amounts_receivable = null, $debt_charges = null, $depreciation_loan_issue_expenses_reimbursement_premiums = null, $provisions_pensions_similar_obligations_appropriations_write_backs = null, $current_portion_amounts_payable_more_one_year_falling_due_within_one_year = null, $amounts_payable_more_one_year = null, $provisions_deferred_taxes = null, $amounts_payable = null, $reserves = null, $accumulated_profits_losses = null, $financial_debts_payable_within_one_year = null, $formation_expenses = null, $intangible_fixed_assets = null, $tangible_fixed_assets = null, $land_buildings_acquisition_including_produced_fixed_assets = null, $plant_machinery_equipment_acquisition_including_produced_fixed_assets = null, $furniture_vehicles_acquisition_including_produced_fixed_assets = null, $leasing_other_similar_rights_acquisition_including_produced_fixed_assets = null, $other_tangible_fixed_assets_acquisition_including_produced_fixed_assets = null, $tangible_fixed_assets_under_construction = null, $land_buildings_revaluation_gains_third_parties = null, $plant_machinery_equipment_revaluation_gains_third_parties = null, $furniture_vehicles_revaluation_gains_third_parties = null, $leasing_other_similar_rights_revaluation_gains_third_parties = null, $other_tangible_fixed_assets_revaluation_gains_third_parties = null, $tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties = null, $land_buildings_depreciations_amount_written_down_acquired_third_party = null, $plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party = null, $furniture_vehicles_depreciations_amount_written_down_acquired_third_party = null, $leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party = null, $other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party = null, $tangible_fixed_assets_under_construction_advance_payments_depreciations = null, $employees_recorded_personnel_register_total_number_closing_date = null, $number_employees_personnel_register_closing_date_financial_year_men_full_time = null, $number_employees_personnel_register_closing_date_financial_year_women_full_time = null, $number_employees_personnel_register_closing_date_financial_year_men_part_time = null, $number_employees_personnel_register_closing_date_financial_year_women_part_time = null, $investments = null, $added_value = null)
    {
        $this
            ->setFixed_assets($fixed_assets)
            ->setNumber_of_employees($number_of_employees)
            ->setNumber_of_employees_men($number_of_employees_men)
            ->setNumber_of_employees_women($number_of_employees_women)
            ->setCapital($capital)
            ->setFinancial_fixed_assets($financial_fixed_assets)
            ->setCurrents_assets($currents_assets)
            ->setAmounts_receivable_more_one_year($amounts_receivable_more_one_year)
            ->setTrade_debtors_within_one_year($trade_debtors_within_one_year)
            ->setEquity($equity)
            ->setAmounts_payable_within_one_year($amounts_payable_within_one_year)
            ->setTrade_debts_payable_within_one_year($trade_debts_payable_within_one_year)
            ->setTurnover($turnover)
            ->setGross_operating_margin($gross_operating_margin)
            ->setIncrease_decrease_stocks_work_contracts_progress($increase_decrease_stocks_work_contracts_progress)
            ->setContributions_gifts_legacies_grants($contributions_gifts_legacies_grants)
            ->setRemuneration_social_security_pensions($remuneration_social_security_pensions)
            ->setDepreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets($depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets)
            ->setAmounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs($amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs)
            ->setProvisions_risks_charges_appropriations_write_backs($provisions_risks_charges_appropriations_write_backs)
            ->setOperating_charges($operating_charges)
            ->setOperating_profit_loss($operating_profit_loss)
            ->setFinancial_income($financial_income)
            ->setFinancial_charges($financial_charges)
            ->setExtraordinary_income($extraordinary_income)
            ->setExtraordinary_charges($extraordinary_charges)
            ->setIncome_taxes($income_taxes)
            ->setGain_loss_period($gain_loss_period)
            ->setTangible_fixed_assets_acquisition_including_produced_fixed_assets($tangible_fixed_assets_acquisition_including_produced_fixed_assets)
            ->setTangible_fixed_assets_revaluation_gains_third_parties($tangible_fixed_assets_revaluation_gains_third_parties)
            ->setTangible_fixed_assets_depreciations_amount_written_down_acquired_third_party($tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party)
            ->setOutstanding_taxes_payable_due_tax_authorities($outstanding_taxes_payable_due_tax_authorities)
            ->setRemuneration_social_security_recipient_national_social_security_office($remuneration_social_security_recipient_national_social_security_office)
            ->setAmounts_receivable_within_one_year($amounts_receivable_within_one_year)
            ->setAccrued_charges_deferred_income($accrued_charges_deferred_income)
            ->setCurrent_investments($current_investments)
            ->setCash_bank_hand($cash_bank_hand)
            ->setEquity_liabilities($equity_liabilities)
            ->setOperating_income($operating_income)
            ->setOther_operating_income($other_operating_income)
            ->setOperating_subsidies_compensatory_amounts($operating_subsidies_compensatory_amounts)
            ->setCapital_subsidies_granted_public_authorities_recorded_income_period($capital_subsidies_granted_public_authorities_recorded_income_period)
            ->setRaw_materials_consumables($raw_materials_consumables)
            ->setServices_other_goods($services_other_goods)
            ->setHired_temporary_staff_costs_enterprise($hired_temporary_staff_costs_enterprise)
            ->setPersons_placed_enterprises_disposal_costs_enterprise($persons_placed_enterprises_disposal_costs_enterprise)
            ->setEmployees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents($employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents)
            ->setStock_raw_materials_consumables($stock_raw_materials_consumables)
            ->setStock_goods_purchased_resale($stock_goods_purchased_resale)
            ->setStock_immovable_property_intended_sale($stock_immovable_property_intended_sale)
            ->setAdvance_payments_purchases_stocks($advance_payments_purchases_stocks)
            ->setStocks_contracts_progress($stocks_contracts_progress)
            ->setDeferred_charges_accrued_income($deferred_charges_accrued_income)
            ->setOwn_construction_capitalised($own_construction_capitalised)
            ->setStock_work_progress($stock_work_progress)
            ->setStock_finished_goods($stock_finished_goods)
            ->setContracts_progress($contracts_progress)
            ->setPersonal_guarantees_provided_or_irrevocably_promised_by_enterprise($personal_guarantees_provided_or_irrevocably_promised_by_enterprise)
            ->setValue_added_taxes_charged_by_enterprise($value_added_taxes_charged_by_enterprise)
            ->setPurchases_raw_materials_consumables($purchases_raw_materials_consumables)
            ->setValue_added_taxes_charged_to_enterprise($value_added_taxes_charged_to_enterprise)
            ->setAmounts_written_down_current_assets($amounts_written_down_current_assets)
            ->setProvisions_financial_nature_appropriations($provisions_financial_nature_appropriations)
            ->setProvisions_financial_nature_uses_write_backs($provisions_financial_nature_uses_write_backs)
            ->setExtraordinary_depreciation_extraordinary_amounts_written_down($extraordinary_depreciation_extraordinary_amounts_written_down)
            ->setAmounts_written_down_financial_fixed_assets($amounts_written_down_financial_fixed_assets)
            ->setProvisions_extraordinary_liabilities_charges_appropriations_uses($provisions_extraordinary_liabilities_charges_appropriations_uses)
            ->setWrite_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets($write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets)
            ->setWrite_back_amounts_written_down_financial_fixed_assets($write_back_amounts_written_down_financial_fixed_assets)
            ->setWrite_back_provisions_extraordinary_liabilities_charges($write_back_provisions_extraordinary_liabilities_charges)
            ->setLosses_disposal_fixed_assets($losses_disposal_fixed_assets)
            ->setIncome_taxes_result_period($income_taxes_result_period)
            ->setTransfer_from_deferred_taxes($transfer_from_deferred_taxes)
            ->setTransfer_to_deferred_taxes($transfer_to_deferred_taxes)
            ->setAssets($assets)
            ->setInterest_subsidies_granted_public_authorities_recorded_income_period($interest_subsidies_granted_public_authorities_recorded_income_period)
            ->setCharges_discounting_amounts_receivable($charges_discounting_amounts_receivable)
            ->setDebt_charges($debt_charges)
            ->setDepreciation_loan_issue_expenses_reimbursement_premiums($depreciation_loan_issue_expenses_reimbursement_premiums)
            ->setProvisions_pensions_similar_obligations_appropriations_write_backs($provisions_pensions_similar_obligations_appropriations_write_backs)
            ->setCurrent_portion_amounts_payable_more_one_year_falling_due_within_one_year($current_portion_amounts_payable_more_one_year_falling_due_within_one_year)
            ->setAmounts_payable_more_one_year($amounts_payable_more_one_year)
            ->setProvisions_deferred_taxes($provisions_deferred_taxes)
            ->setAmounts_payable($amounts_payable)
            ->setReserves($reserves)
            ->setAccumulated_profits_losses($accumulated_profits_losses)
            ->setFinancial_debts_payable_within_one_year($financial_debts_payable_within_one_year)
            ->setFormation_expenses($formation_expenses)
            ->setIntangible_fixed_assets($intangible_fixed_assets)
            ->setTangible_fixed_assets($tangible_fixed_assets)
            ->setLand_buildings_acquisition_including_produced_fixed_assets($land_buildings_acquisition_including_produced_fixed_assets)
            ->setPlant_machinery_equipment_acquisition_including_produced_fixed_assets($plant_machinery_equipment_acquisition_including_produced_fixed_assets)
            ->setFurniture_vehicles_acquisition_including_produced_fixed_assets($furniture_vehicles_acquisition_including_produced_fixed_assets)
            ->setLeasing_other_similar_rights_acquisition_including_produced_fixed_assets($leasing_other_similar_rights_acquisition_including_produced_fixed_assets)
            ->setOther_tangible_fixed_assets_acquisition_including_produced_fixed_assets($other_tangible_fixed_assets_acquisition_including_produced_fixed_assets)
            ->setTangible_fixed_assets_under_construction($tangible_fixed_assets_under_construction)
            ->setLand_buildings_revaluation_gains_third_parties($land_buildings_revaluation_gains_third_parties)
            ->setPlant_machinery_equipment_revaluation_gains_third_parties($plant_machinery_equipment_revaluation_gains_third_parties)
            ->setFurniture_vehicles_revaluation_gains_third_parties($furniture_vehicles_revaluation_gains_third_parties)
            ->setLeasing_other_similar_rights_revaluation_gains_third_parties($leasing_other_similar_rights_revaluation_gains_third_parties)
            ->setOther_tangible_fixed_assets_revaluation_gains_third_parties($other_tangible_fixed_assets_revaluation_gains_third_parties)
            ->setTangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties($tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties)
            ->setLand_buildings_depreciations_amount_written_down_acquired_third_party($land_buildings_depreciations_amount_written_down_acquired_third_party)
            ->setPlant_machinery_equipment_depreciations_amount_written_down_acquired_third_party($plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party)
            ->setFurniture_vehicles_depreciations_amount_written_down_acquired_third_party($furniture_vehicles_depreciations_amount_written_down_acquired_third_party)
            ->setLeasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party($leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party)
            ->setOther_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party($other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party)
            ->setTangible_fixed_assets_under_construction_advance_payments_depreciations($tangible_fixed_assets_under_construction_advance_payments_depreciations)
            ->setEmployees_recorded_personnel_register_total_number_closing_date($employees_recorded_personnel_register_total_number_closing_date)
            ->setNumber_employees_personnel_register_closing_date_financial_year_men_full_time($number_employees_personnel_register_closing_date_financial_year_men_full_time)
            ->setNumber_employees_personnel_register_closing_date_financial_year_women_full_time($number_employees_personnel_register_closing_date_financial_year_women_full_time)
            ->setNumber_employees_personnel_register_closing_date_financial_year_men_part_time($number_employees_personnel_register_closing_date_financial_year_men_part_time)
            ->setNumber_employees_personnel_register_closing_date_financial_year_women_part_time($number_employees_personnel_register_closing_date_financial_year_women_part_time)
            ->setInvestments($investments)
            ->setAdded_value($added_value);
    }
    /**
     * Get fixed_assets value
     * @return float|null
     */
    public function getFixed_assets()
    {
        return $this->fixed_assets;
    }
    /**
     * Set fixed_assets value
     * @param float $fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setFixed_assets($fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($fixed_assets) && !(is_float($fixed_assets) || is_numeric($fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($fixed_assets, true), gettype($fixed_assets)), __LINE__);
        }
        $this->fixed_assets = $fixed_assets;
        return $this;
    }
    /**
     * Get number_of_employees value
     * @return int|null
     */
    public function getNumber_of_employees()
    {
        return $this->number_of_employees;
    }
    /**
     * Set number_of_employees value
     * @param int $number_of_employees
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setNumber_of_employees($number_of_employees = null)
    {
        // validation for constraint: int
        if (!is_null($number_of_employees) && !(is_int($number_of_employees) || ctype_digit($number_of_employees))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($number_of_employees, true), gettype($number_of_employees)), __LINE__);
        }
        $this->number_of_employees = $number_of_employees;
        return $this;
    }
    /**
     * Get number_of_employees_men value
     * @return int|null
     */
    public function getNumber_of_employees_men()
    {
        return $this->number_of_employees_men;
    }
    /**
     * Set number_of_employees_men value
     * @param int $number_of_employees_men
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setNumber_of_employees_men($number_of_employees_men = null)
    {
        // validation for constraint: int
        if (!is_null($number_of_employees_men) && !(is_int($number_of_employees_men) || ctype_digit($number_of_employees_men))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($number_of_employees_men, true), gettype($number_of_employees_men)), __LINE__);
        }
        $this->number_of_employees_men = $number_of_employees_men;
        return $this;
    }
    /**
     * Get number_of_employees_women value
     * @return int|null
     */
    public function getNumber_of_employees_women()
    {
        return $this->number_of_employees_women;
    }
    /**
     * Set number_of_employees_women value
     * @param int $number_of_employees_women
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setNumber_of_employees_women($number_of_employees_women = null)
    {
        // validation for constraint: int
        if (!is_null($number_of_employees_women) && !(is_int($number_of_employees_women) || ctype_digit($number_of_employees_women))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($number_of_employees_women, true), gettype($number_of_employees_women)), __LINE__);
        }
        $this->number_of_employees_women = $number_of_employees_women;
        return $this;
    }
    /**
     * Get capital value
     * @return float|null
     */
    public function getCapital()
    {
        return $this->capital;
    }
    /**
     * Set capital value
     * @param float $capital
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setCapital($capital = null)
    {
        // validation for constraint: float
        if (!is_null($capital) && !(is_float($capital) || is_numeric($capital))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($capital, true), gettype($capital)), __LINE__);
        }
        $this->capital = $capital;
        return $this;
    }
    /**
     * Get financial_fixed_assets value
     * @return float|null
     */
    public function getFinancial_fixed_assets()
    {
        return $this->financial_fixed_assets;
    }
    /**
     * Set financial_fixed_assets value
     * @param float $financial_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setFinancial_fixed_assets($financial_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($financial_fixed_assets) && !(is_float($financial_fixed_assets) || is_numeric($financial_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($financial_fixed_assets, true), gettype($financial_fixed_assets)), __LINE__);
        }
        $this->financial_fixed_assets = $financial_fixed_assets;
        return $this;
    }
    /**
     * Get currents_assets value
     * @return float|null
     */
    public function getCurrents_assets()
    {
        return $this->currents_assets;
    }
    /**
     * Set currents_assets value
     * @param float $currents_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setCurrents_assets($currents_assets = null)
    {
        // validation for constraint: float
        if (!is_null($currents_assets) && !(is_float($currents_assets) || is_numeric($currents_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($currents_assets, true), gettype($currents_assets)), __LINE__);
        }
        $this->currents_assets = $currents_assets;
        return $this;
    }
    /**
     * Get amounts_receivable_more_one_year value
     * @return float|null
     */
    public function getAmounts_receivable_more_one_year()
    {
        return $this->amounts_receivable_more_one_year;
    }
    /**
     * Set amounts_receivable_more_one_year value
     * @param float $amounts_receivable_more_one_year
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAmounts_receivable_more_one_year($amounts_receivable_more_one_year = null)
    {
        // validation for constraint: float
        if (!is_null($amounts_receivable_more_one_year) && !(is_float($amounts_receivable_more_one_year) || is_numeric($amounts_receivable_more_one_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($amounts_receivable_more_one_year, true), gettype($amounts_receivable_more_one_year)), __LINE__);
        }
        $this->amounts_receivable_more_one_year = $amounts_receivable_more_one_year;
        return $this;
    }
    /**
     * Get trade_debtors_within_one_year value
     * @return float|null
     */
    public function getTrade_debtors_within_one_year()
    {
        return $this->trade_debtors_within_one_year;
    }
    /**
     * Set trade_debtors_within_one_year value
     * @param float $trade_debtors_within_one_year
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTrade_debtors_within_one_year($trade_debtors_within_one_year = null)
    {
        // validation for constraint: float
        if (!is_null($trade_debtors_within_one_year) && !(is_float($trade_debtors_within_one_year) || is_numeric($trade_debtors_within_one_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($trade_debtors_within_one_year, true), gettype($trade_debtors_within_one_year)), __LINE__);
        }
        $this->trade_debtors_within_one_year = $trade_debtors_within_one_year;
        return $this;
    }
    /**
     * Get equity value
     * @return float|null
     */
    public function getEquity()
    {
        return $this->equity;
    }
    /**
     * Set equity value
     * @param float $equity
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setEquity($equity = null)
    {
        // validation for constraint: float
        if (!is_null($equity) && !(is_float($equity) || is_numeric($equity))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($equity, true), gettype($equity)), __LINE__);
        }
        $this->equity = $equity;
        return $this;
    }
    /**
     * Get amounts_payable_within_one_year value
     * @return float|null
     */
    public function getAmounts_payable_within_one_year()
    {
        return $this->amounts_payable_within_one_year;
    }
    /**
     * Set amounts_payable_within_one_year value
     * @param float $amounts_payable_within_one_year
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAmounts_payable_within_one_year($amounts_payable_within_one_year = null)
    {
        // validation for constraint: float
        if (!is_null($amounts_payable_within_one_year) && !(is_float($amounts_payable_within_one_year) || is_numeric($amounts_payable_within_one_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($amounts_payable_within_one_year, true), gettype($amounts_payable_within_one_year)), __LINE__);
        }
        $this->amounts_payable_within_one_year = $amounts_payable_within_one_year;
        return $this;
    }
    /**
     * Get trade_debts_payable_within_one_year value
     * @return float|null
     */
    public function getTrade_debts_payable_within_one_year()
    {
        return $this->trade_debts_payable_within_one_year;
    }
    /**
     * Set trade_debts_payable_within_one_year value
     * @param float $trade_debts_payable_within_one_year
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTrade_debts_payable_within_one_year($trade_debts_payable_within_one_year = null)
    {
        // validation for constraint: float
        if (!is_null($trade_debts_payable_within_one_year) && !(is_float($trade_debts_payable_within_one_year) || is_numeric($trade_debts_payable_within_one_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($trade_debts_payable_within_one_year, true), gettype($trade_debts_payable_within_one_year)), __LINE__);
        }
        $this->trade_debts_payable_within_one_year = $trade_debts_payable_within_one_year;
        return $this;
    }
    /**
     * Get turnover value
     * @return float|null
     */
    public function getTurnover()
    {
        return $this->turnover;
    }
    /**
     * Set turnover value
     * @param float $turnover
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTurnover($turnover = null)
    {
        // validation for constraint: float
        if (!is_null($turnover) && !(is_float($turnover) || is_numeric($turnover))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($turnover, true), gettype($turnover)), __LINE__);
        }
        $this->turnover = $turnover;
        return $this;
    }
    /**
     * Get gross_operating_margin value
     * @return float|null
     */
    public function getGross_operating_margin()
    {
        return $this->gross_operating_margin;
    }
    /**
     * Set gross_operating_margin value
     * @param float $gross_operating_margin
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setGross_operating_margin($gross_operating_margin = null)
    {
        // validation for constraint: float
        if (!is_null($gross_operating_margin) && !(is_float($gross_operating_margin) || is_numeric($gross_operating_margin))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($gross_operating_margin, true), gettype($gross_operating_margin)), __LINE__);
        }
        $this->gross_operating_margin = $gross_operating_margin;
        return $this;
    }
    /**
     * Get increase_decrease_stocks_work_contracts_progress value
     * @return float|null
     */
    public function getIncrease_decrease_stocks_work_contracts_progress()
    {
        return $this->increase_decrease_stocks_work_contracts_progress;
    }
    /**
     * Set increase_decrease_stocks_work_contracts_progress value
     * @param float $increase_decrease_stocks_work_contracts_progress
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setIncrease_decrease_stocks_work_contracts_progress($increase_decrease_stocks_work_contracts_progress = null)
    {
        // validation for constraint: float
        if (!is_null($increase_decrease_stocks_work_contracts_progress) && !(is_float($increase_decrease_stocks_work_contracts_progress) || is_numeric($increase_decrease_stocks_work_contracts_progress))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($increase_decrease_stocks_work_contracts_progress, true), gettype($increase_decrease_stocks_work_contracts_progress)), __LINE__);
        }
        $this->increase_decrease_stocks_work_contracts_progress = $increase_decrease_stocks_work_contracts_progress;
        return $this;
    }
    /**
     * Get contributions_gifts_legacies_grants value
     * @return float|null
     */
    public function getContributions_gifts_legacies_grants()
    {
        return $this->contributions_gifts_legacies_grants;
    }
    /**
     * Set contributions_gifts_legacies_grants value
     * @param float $contributions_gifts_legacies_grants
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setContributions_gifts_legacies_grants($contributions_gifts_legacies_grants = null)
    {
        // validation for constraint: float
        if (!is_null($contributions_gifts_legacies_grants) && !(is_float($contributions_gifts_legacies_grants) || is_numeric($contributions_gifts_legacies_grants))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($contributions_gifts_legacies_grants, true), gettype($contributions_gifts_legacies_grants)), __LINE__);
        }
        $this->contributions_gifts_legacies_grants = $contributions_gifts_legacies_grants;
        return $this;
    }
    /**
     * Get remuneration_social_security_pensions value
     * @return float|null
     */
    public function getRemuneration_social_security_pensions()
    {
        return $this->remuneration_social_security_pensions;
    }
    /**
     * Set remuneration_social_security_pensions value
     * @param float $remuneration_social_security_pensions
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setRemuneration_social_security_pensions($remuneration_social_security_pensions = null)
    {
        // validation for constraint: float
        if (!is_null($remuneration_social_security_pensions) && !(is_float($remuneration_social_security_pensions) || is_numeric($remuneration_social_security_pensions))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($remuneration_social_security_pensions, true), gettype($remuneration_social_security_pensions)), __LINE__);
        }
        $this->remuneration_social_security_pensions = $remuneration_social_security_pensions;
        return $this;
    }
    /**
     * Get
     * depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_f
     * ixed_assets value
     * @return float|null
     */
    public function getDepreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets()
    {
        return $this->depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets;
    }
    /**
     * Set
     * depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_f
     * ixed_assets value
     * @param float $depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setDepreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets($depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets) && !(is_float($depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets) || is_numeric($depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets, true), gettype($depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets)), __LINE__);
        }
        $this->depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets = $depreciation_other_amounts_written_down_formation_expenses_intangible_tangible_fixed_assets;
        return $this;
    }
    /**
     * Get
     * amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_writ
     * e_backs value
     * @return float|null
     */
    public function getAmounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs()
    {
        return $this->amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs;
    }
    /**
     * Set
     * amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_writ
     * e_backs value
     * @param float $amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAmounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs($amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs = null)
    {
        // validation for constraint: float
        if (!is_null($amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs) && !(is_float($amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs) || is_numeric($amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs, true), gettype($amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs)), __LINE__);
        }
        $this->amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs = $amounts_written_down_stocks_contracts_progress_trade_debtors_appropriations_write_backs;
        return $this;
    }
    /**
     * Get provisions_risks_charges_appropriations_write_backs value
     * @return float|null
     */
    public function getProvisions_risks_charges_appropriations_write_backs()
    {
        return $this->provisions_risks_charges_appropriations_write_backs;
    }
    /**
     * Set provisions_risks_charges_appropriations_write_backs value
     * @param float $provisions_risks_charges_appropriations_write_backs
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setProvisions_risks_charges_appropriations_write_backs($provisions_risks_charges_appropriations_write_backs = null)
    {
        // validation for constraint: float
        if (!is_null($provisions_risks_charges_appropriations_write_backs) && !(is_float($provisions_risks_charges_appropriations_write_backs) || is_numeric($provisions_risks_charges_appropriations_write_backs))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($provisions_risks_charges_appropriations_write_backs, true), gettype($provisions_risks_charges_appropriations_write_backs)), __LINE__);
        }
        $this->provisions_risks_charges_appropriations_write_backs = $provisions_risks_charges_appropriations_write_backs;
        return $this;
    }
    /**
     * Get operating_charges value
     * @return float|null
     */
    public function getOperating_charges()
    {
        return $this->operating_charges;
    }
    /**
     * Set operating_charges value
     * @param float $operating_charges
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setOperating_charges($operating_charges = null)
    {
        // validation for constraint: float
        if (!is_null($operating_charges) && !(is_float($operating_charges) || is_numeric($operating_charges))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($operating_charges, true), gettype($operating_charges)), __LINE__);
        }
        $this->operating_charges = $operating_charges;
        return $this;
    }
    /**
     * Get operating_profit_loss value
     * @return float|null
     */
    public function getOperating_profit_loss()
    {
        return $this->operating_profit_loss;
    }
    /**
     * Set operating_profit_loss value
     * @param float $operating_profit_loss
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setOperating_profit_loss($operating_profit_loss = null)
    {
        // validation for constraint: float
        if (!is_null($operating_profit_loss) && !(is_float($operating_profit_loss) || is_numeric($operating_profit_loss))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($operating_profit_loss, true), gettype($operating_profit_loss)), __LINE__);
        }
        $this->operating_profit_loss = $operating_profit_loss;
        return $this;
    }
    /**
     * Get financial_income value
     * @return float|null
     */
    public function getFinancial_income()
    {
        return $this->financial_income;
    }
    /**
     * Set financial_income value
     * @param float $financial_income
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setFinancial_income($financial_income = null)
    {
        // validation for constraint: float
        if (!is_null($financial_income) && !(is_float($financial_income) || is_numeric($financial_income))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($financial_income, true), gettype($financial_income)), __LINE__);
        }
        $this->financial_income = $financial_income;
        return $this;
    }
    /**
     * Get financial_charges value
     * @return float|null
     */
    public function getFinancial_charges()
    {
        return $this->financial_charges;
    }
    /**
     * Set financial_charges value
     * @param float $financial_charges
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setFinancial_charges($financial_charges = null)
    {
        // validation for constraint: float
        if (!is_null($financial_charges) && !(is_float($financial_charges) || is_numeric($financial_charges))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($financial_charges, true), gettype($financial_charges)), __LINE__);
        }
        $this->financial_charges = $financial_charges;
        return $this;
    }
    /**
     * Get extraordinary_income value
     * @return float|null
     */
    public function getExtraordinary_income()
    {
        return $this->extraordinary_income;
    }
    /**
     * Set extraordinary_income value
     * @param float $extraordinary_income
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setExtraordinary_income($extraordinary_income = null)
    {
        // validation for constraint: float
        if (!is_null($extraordinary_income) && !(is_float($extraordinary_income) || is_numeric($extraordinary_income))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($extraordinary_income, true), gettype($extraordinary_income)), __LINE__);
        }
        $this->extraordinary_income = $extraordinary_income;
        return $this;
    }
    /**
     * Get extraordinary_charges value
     * @return float|null
     */
    public function getExtraordinary_charges()
    {
        return $this->extraordinary_charges;
    }
    /**
     * Set extraordinary_charges value
     * @param float $extraordinary_charges
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setExtraordinary_charges($extraordinary_charges = null)
    {
        // validation for constraint: float
        if (!is_null($extraordinary_charges) && !(is_float($extraordinary_charges) || is_numeric($extraordinary_charges))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($extraordinary_charges, true), gettype($extraordinary_charges)), __LINE__);
        }
        $this->extraordinary_charges = $extraordinary_charges;
        return $this;
    }
    /**
     * Get income_taxes value
     * @return float|null
     */
    public function getIncome_taxes()
    {
        return $this->income_taxes;
    }
    /**
     * Set income_taxes value
     * @param float $income_taxes
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setIncome_taxes($income_taxes = null)
    {
        // validation for constraint: float
        if (!is_null($income_taxes) && !(is_float($income_taxes) || is_numeric($income_taxes))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($income_taxes, true), gettype($income_taxes)), __LINE__);
        }
        $this->income_taxes = $income_taxes;
        return $this;
    }
    /**
     * Get gain_loss_period value
     * @return float|null
     */
    public function getGain_loss_period()
    {
        return $this->gain_loss_period;
    }
    /**
     * Set gain_loss_period value
     * @param float $gain_loss_period
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setGain_loss_period($gain_loss_period = null)
    {
        // validation for constraint: float
        if (!is_null($gain_loss_period) && !(is_float($gain_loss_period) || is_numeric($gain_loss_period))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($gain_loss_period, true), gettype($gain_loss_period)), __LINE__);
        }
        $this->gain_loss_period = $gain_loss_period;
        return $this;
    }
    /**
     * Get tangible_fixed_assets_acquisition_including_produced_fixed_assets value
     * @return float|null
     */
    public function getTangible_fixed_assets_acquisition_including_produced_fixed_assets()
    {
        return $this->tangible_fixed_assets_acquisition_including_produced_fixed_assets;
    }
    /**
     * Set tangible_fixed_assets_acquisition_including_produced_fixed_assets value
     * @param float $tangible_fixed_assets_acquisition_including_produced_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTangible_fixed_assets_acquisition_including_produced_fixed_assets($tangible_fixed_assets_acquisition_including_produced_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($tangible_fixed_assets_acquisition_including_produced_fixed_assets) && !(is_float($tangible_fixed_assets_acquisition_including_produced_fixed_assets) || is_numeric($tangible_fixed_assets_acquisition_including_produced_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($tangible_fixed_assets_acquisition_including_produced_fixed_assets, true), gettype($tangible_fixed_assets_acquisition_including_produced_fixed_assets)), __LINE__);
        }
        $this->tangible_fixed_assets_acquisition_including_produced_fixed_assets = $tangible_fixed_assets_acquisition_including_produced_fixed_assets;
        return $this;
    }
    /**
     * Get tangible_fixed_assets_revaluation_gains_third_parties value
     * @return float|null
     */
    public function getTangible_fixed_assets_revaluation_gains_third_parties()
    {
        return $this->tangible_fixed_assets_revaluation_gains_third_parties;
    }
    /**
     * Set tangible_fixed_assets_revaluation_gains_third_parties value
     * @param float $tangible_fixed_assets_revaluation_gains_third_parties
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTangible_fixed_assets_revaluation_gains_third_parties($tangible_fixed_assets_revaluation_gains_third_parties = null)
    {
        // validation for constraint: float
        if (!is_null($tangible_fixed_assets_revaluation_gains_third_parties) && !(is_float($tangible_fixed_assets_revaluation_gains_third_parties) || is_numeric($tangible_fixed_assets_revaluation_gains_third_parties))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($tangible_fixed_assets_revaluation_gains_third_parties, true), gettype($tangible_fixed_assets_revaluation_gains_third_parties)), __LINE__);
        }
        $this->tangible_fixed_assets_revaluation_gains_third_parties = $tangible_fixed_assets_revaluation_gains_third_parties;
        return $this;
    }
    /**
     * Get tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party
     * value
     * @return float|null
     */
    public function getTangible_fixed_assets_depreciations_amount_written_down_acquired_third_party()
    {
        return $this->tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party;
    }
    /**
     * Set tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party
     * value
     * @param float $tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTangible_fixed_assets_depreciations_amount_written_down_acquired_third_party($tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party = null)
    {
        // validation for constraint: float
        if (!is_null($tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party) && !(is_float($tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party) || is_numeric($tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party, true), gettype($tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party)), __LINE__);
        }
        $this->tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party = $tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party;
        return $this;
    }
    /**
     * Get outstanding_taxes_payable_due_tax_authorities value
     * @return float|null
     */
    public function getOutstanding_taxes_payable_due_tax_authorities()
    {
        return $this->outstanding_taxes_payable_due_tax_authorities;
    }
    /**
     * Set outstanding_taxes_payable_due_tax_authorities value
     * @param float $outstanding_taxes_payable_due_tax_authorities
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setOutstanding_taxes_payable_due_tax_authorities($outstanding_taxes_payable_due_tax_authorities = null)
    {
        // validation for constraint: float
        if (!is_null($outstanding_taxes_payable_due_tax_authorities) && !(is_float($outstanding_taxes_payable_due_tax_authorities) || is_numeric($outstanding_taxes_payable_due_tax_authorities))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($outstanding_taxes_payable_due_tax_authorities, true), gettype($outstanding_taxes_payable_due_tax_authorities)), __LINE__);
        }
        $this->outstanding_taxes_payable_due_tax_authorities = $outstanding_taxes_payable_due_tax_authorities;
        return $this;
    }
    /**
     * Get remuneration_social_security_recipient_national_social_security_office value
     * @return float|null
     */
    public function getRemuneration_social_security_recipient_national_social_security_office()
    {
        return $this->remuneration_social_security_recipient_national_social_security_office;
    }
    /**
     * Set remuneration_social_security_recipient_national_social_security_office value
     * @param float $remuneration_social_security_recipient_national_social_security_office
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setRemuneration_social_security_recipient_national_social_security_office($remuneration_social_security_recipient_national_social_security_office = null)
    {
        // validation for constraint: float
        if (!is_null($remuneration_social_security_recipient_national_social_security_office) && !(is_float($remuneration_social_security_recipient_national_social_security_office) || is_numeric($remuneration_social_security_recipient_national_social_security_office))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($remuneration_social_security_recipient_national_social_security_office, true), gettype($remuneration_social_security_recipient_national_social_security_office)), __LINE__);
        }
        $this->remuneration_social_security_recipient_national_social_security_office = $remuneration_social_security_recipient_national_social_security_office;
        return $this;
    }
    /**
     * Get amounts_receivable_within_one_year value
     * @return float|null
     */
    public function getAmounts_receivable_within_one_year()
    {
        return $this->amounts_receivable_within_one_year;
    }
    /**
     * Set amounts_receivable_within_one_year value
     * @param float $amounts_receivable_within_one_year
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAmounts_receivable_within_one_year($amounts_receivable_within_one_year = null)
    {
        // validation for constraint: float
        if (!is_null($amounts_receivable_within_one_year) && !(is_float($amounts_receivable_within_one_year) || is_numeric($amounts_receivable_within_one_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($amounts_receivable_within_one_year, true), gettype($amounts_receivable_within_one_year)), __LINE__);
        }
        $this->amounts_receivable_within_one_year = $amounts_receivable_within_one_year;
        return $this;
    }
    /**
     * Get accrued_charges_deferred_income value
     * @return float|null
     */
    public function getAccrued_charges_deferred_income()
    {
        return $this->accrued_charges_deferred_income;
    }
    /**
     * Set accrued_charges_deferred_income value
     * @param float $accrued_charges_deferred_income
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAccrued_charges_deferred_income($accrued_charges_deferred_income = null)
    {
        // validation for constraint: float
        if (!is_null($accrued_charges_deferred_income) && !(is_float($accrued_charges_deferred_income) || is_numeric($accrued_charges_deferred_income))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($accrued_charges_deferred_income, true), gettype($accrued_charges_deferred_income)), __LINE__);
        }
        $this->accrued_charges_deferred_income = $accrued_charges_deferred_income;
        return $this;
    }
    /**
     * Get current_investments value
     * @return float|null
     */
    public function getCurrent_investments()
    {
        return $this->current_investments;
    }
    /**
     * Set current_investments value
     * @param float $current_investments
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setCurrent_investments($current_investments = null)
    {
        // validation for constraint: float
        if (!is_null($current_investments) && !(is_float($current_investments) || is_numeric($current_investments))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($current_investments, true), gettype($current_investments)), __LINE__);
        }
        $this->current_investments = $current_investments;
        return $this;
    }
    /**
     * Get cash_bank_hand value
     * @return float|null
     */
    public function getCash_bank_hand()
    {
        return $this->cash_bank_hand;
    }
    /**
     * Set cash_bank_hand value
     * @param float $cash_bank_hand
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setCash_bank_hand($cash_bank_hand = null)
    {
        // validation for constraint: float
        if (!is_null($cash_bank_hand) && !(is_float($cash_bank_hand) || is_numeric($cash_bank_hand))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($cash_bank_hand, true), gettype($cash_bank_hand)), __LINE__);
        }
        $this->cash_bank_hand = $cash_bank_hand;
        return $this;
    }
    /**
     * Get equity_liabilities value
     * @return float|null
     */
    public function getEquity_liabilities()
    {
        return $this->equity_liabilities;
    }
    /**
     * Set equity_liabilities value
     * @param float $equity_liabilities
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setEquity_liabilities($equity_liabilities = null)
    {
        // validation for constraint: float
        if (!is_null($equity_liabilities) && !(is_float($equity_liabilities) || is_numeric($equity_liabilities))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($equity_liabilities, true), gettype($equity_liabilities)), __LINE__);
        }
        $this->equity_liabilities = $equity_liabilities;
        return $this;
    }
    /**
     * Get operating_income value
     * @return float|null
     */
    public function getOperating_income()
    {
        return $this->operating_income;
    }
    /**
     * Set operating_income value
     * @param float $operating_income
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setOperating_income($operating_income = null)
    {
        // validation for constraint: float
        if (!is_null($operating_income) && !(is_float($operating_income) || is_numeric($operating_income))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($operating_income, true), gettype($operating_income)), __LINE__);
        }
        $this->operating_income = $operating_income;
        return $this;
    }
    /**
     * Get other_operating_income value
     * @return float|null
     */
    public function getOther_operating_income()
    {
        return $this->other_operating_income;
    }
    /**
     * Set other_operating_income value
     * @param float $other_operating_income
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setOther_operating_income($other_operating_income = null)
    {
        // validation for constraint: float
        if (!is_null($other_operating_income) && !(is_float($other_operating_income) || is_numeric($other_operating_income))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($other_operating_income, true), gettype($other_operating_income)), __LINE__);
        }
        $this->other_operating_income = $other_operating_income;
        return $this;
    }
    /**
     * Get operating_subsidies_compensatory_amounts value
     * @return float|null
     */
    public function getOperating_subsidies_compensatory_amounts()
    {
        return $this->operating_subsidies_compensatory_amounts;
    }
    /**
     * Set operating_subsidies_compensatory_amounts value
     * @param float $operating_subsidies_compensatory_amounts
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setOperating_subsidies_compensatory_amounts($operating_subsidies_compensatory_amounts = null)
    {
        // validation for constraint: float
        if (!is_null($operating_subsidies_compensatory_amounts) && !(is_float($operating_subsidies_compensatory_amounts) || is_numeric($operating_subsidies_compensatory_amounts))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($operating_subsidies_compensatory_amounts, true), gettype($operating_subsidies_compensatory_amounts)), __LINE__);
        }
        $this->operating_subsidies_compensatory_amounts = $operating_subsidies_compensatory_amounts;
        return $this;
    }
    /**
     * Get capital_subsidies_granted_public_authorities_recorded_income_period value
     * @return float|null
     */
    public function getCapital_subsidies_granted_public_authorities_recorded_income_period()
    {
        return $this->capital_subsidies_granted_public_authorities_recorded_income_period;
    }
    /**
     * Set capital_subsidies_granted_public_authorities_recorded_income_period value
     * @param float $capital_subsidies_granted_public_authorities_recorded_income_period
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setCapital_subsidies_granted_public_authorities_recorded_income_period($capital_subsidies_granted_public_authorities_recorded_income_period = null)
    {
        // validation for constraint: float
        if (!is_null($capital_subsidies_granted_public_authorities_recorded_income_period) && !(is_float($capital_subsidies_granted_public_authorities_recorded_income_period) || is_numeric($capital_subsidies_granted_public_authorities_recorded_income_period))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($capital_subsidies_granted_public_authorities_recorded_income_period, true), gettype($capital_subsidies_granted_public_authorities_recorded_income_period)), __LINE__);
        }
        $this->capital_subsidies_granted_public_authorities_recorded_income_period = $capital_subsidies_granted_public_authorities_recorded_income_period;
        return $this;
    }
    /**
     * Get raw_materials_consumables value
     * @return float|null
     */
    public function getRaw_materials_consumables()
    {
        return $this->raw_materials_consumables;
    }
    /**
     * Set raw_materials_consumables value
     * @param float $raw_materials_consumables
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setRaw_materials_consumables($raw_materials_consumables = null)
    {
        // validation for constraint: float
        if (!is_null($raw_materials_consumables) && !(is_float($raw_materials_consumables) || is_numeric($raw_materials_consumables))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($raw_materials_consumables, true), gettype($raw_materials_consumables)), __LINE__);
        }
        $this->raw_materials_consumables = $raw_materials_consumables;
        return $this;
    }
    /**
     * Get services_other_goods value
     * @return float|null
     */
    public function getServices_other_goods()
    {
        return $this->services_other_goods;
    }
    /**
     * Set services_other_goods value
     * @param float $services_other_goods
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setServices_other_goods($services_other_goods = null)
    {
        // validation for constraint: float
        if (!is_null($services_other_goods) && !(is_float($services_other_goods) || is_numeric($services_other_goods))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($services_other_goods, true), gettype($services_other_goods)), __LINE__);
        }
        $this->services_other_goods = $services_other_goods;
        return $this;
    }
    /**
     * Get hired_temporary_staff_costs_enterprise value
     * @return float|null
     */
    public function getHired_temporary_staff_costs_enterprise()
    {
        return $this->hired_temporary_staff_costs_enterprise;
    }
    /**
     * Set hired_temporary_staff_costs_enterprise value
     * @param float $hired_temporary_staff_costs_enterprise
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setHired_temporary_staff_costs_enterprise($hired_temporary_staff_costs_enterprise = null)
    {
        // validation for constraint: float
        if (!is_null($hired_temporary_staff_costs_enterprise) && !(is_float($hired_temporary_staff_costs_enterprise) || is_numeric($hired_temporary_staff_costs_enterprise))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($hired_temporary_staff_costs_enterprise, true), gettype($hired_temporary_staff_costs_enterprise)), __LINE__);
        }
        $this->hired_temporary_staff_costs_enterprise = $hired_temporary_staff_costs_enterprise;
        return $this;
    }
    /**
     * Get persons_placed_enterprises_disposal_costs_enterprise value
     * @return float|null
     */
    public function getPersons_placed_enterprises_disposal_costs_enterprise()
    {
        return $this->persons_placed_enterprises_disposal_costs_enterprise;
    }
    /**
     * Set persons_placed_enterprises_disposal_costs_enterprise value
     * @param float $persons_placed_enterprises_disposal_costs_enterprise
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setPersons_placed_enterprises_disposal_costs_enterprise($persons_placed_enterprises_disposal_costs_enterprise = null)
    {
        // validation for constraint: float
        if (!is_null($persons_placed_enterprises_disposal_costs_enterprise) && !(is_float($persons_placed_enterprises_disposal_costs_enterprise) || is_numeric($persons_placed_enterprises_disposal_costs_enterprise))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($persons_placed_enterprises_disposal_costs_enterprise, true), gettype($persons_placed_enterprises_disposal_costs_enterprise)), __LINE__);
        }
        $this->persons_placed_enterprises_disposal_costs_enterprise = $persons_placed_enterprises_disposal_costs_enterprise;
        return $this;
    }
    /**
     * Get
     * employees_recorded_personnel_register_average_number_employees_calculated_full_t
     * ime_equivalents value
     * @return float|null
     */
    public function getEmployees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents()
    {
        return $this->employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents;
    }
    /**
     * Set
     * employees_recorded_personnel_register_average_number_employees_calculated_full_t
     * ime_equivalents value
     * @param float $employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setEmployees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents($employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents = null)
    {
        // validation for constraint: float
        if (!is_null($employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents) && !(is_float($employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents) || is_numeric($employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents, true), gettype($employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents)), __LINE__);
        }
        $this->employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents = $employees_recorded_personnel_register_average_number_employees_calculated_full_time_equivalents;
        return $this;
    }
    /**
     * Get stock_raw_materials_consumables value
     * @return float|null
     */
    public function getStock_raw_materials_consumables()
    {
        return $this->stock_raw_materials_consumables;
    }
    /**
     * Set stock_raw_materials_consumables value
     * @param float $stock_raw_materials_consumables
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setStock_raw_materials_consumables($stock_raw_materials_consumables = null)
    {
        // validation for constraint: float
        if (!is_null($stock_raw_materials_consumables) && !(is_float($stock_raw_materials_consumables) || is_numeric($stock_raw_materials_consumables))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($stock_raw_materials_consumables, true), gettype($stock_raw_materials_consumables)), __LINE__);
        }
        $this->stock_raw_materials_consumables = $stock_raw_materials_consumables;
        return $this;
    }
    /**
     * Get stock_goods_purchased_resale value
     * @return float|null
     */
    public function getStock_goods_purchased_resale()
    {
        return $this->stock_goods_purchased_resale;
    }
    /**
     * Set stock_goods_purchased_resale value
     * @param float $stock_goods_purchased_resale
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setStock_goods_purchased_resale($stock_goods_purchased_resale = null)
    {
        // validation for constraint: float
        if (!is_null($stock_goods_purchased_resale) && !(is_float($stock_goods_purchased_resale) || is_numeric($stock_goods_purchased_resale))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($stock_goods_purchased_resale, true), gettype($stock_goods_purchased_resale)), __LINE__);
        }
        $this->stock_goods_purchased_resale = $stock_goods_purchased_resale;
        return $this;
    }
    /**
     * Get stock_immovable_property_intended_sale value
     * @return float|null
     */
    public function getStock_immovable_property_intended_sale()
    {
        return $this->stock_immovable_property_intended_sale;
    }
    /**
     * Set stock_immovable_property_intended_sale value
     * @param float $stock_immovable_property_intended_sale
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setStock_immovable_property_intended_sale($stock_immovable_property_intended_sale = null)
    {
        // validation for constraint: float
        if (!is_null($stock_immovable_property_intended_sale) && !(is_float($stock_immovable_property_intended_sale) || is_numeric($stock_immovable_property_intended_sale))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($stock_immovable_property_intended_sale, true), gettype($stock_immovable_property_intended_sale)), __LINE__);
        }
        $this->stock_immovable_property_intended_sale = $stock_immovable_property_intended_sale;
        return $this;
    }
    /**
     * Get advance_payments_purchases_stocks value
     * @return float|null
     */
    public function getAdvance_payments_purchases_stocks()
    {
        return $this->advance_payments_purchases_stocks;
    }
    /**
     * Set advance_payments_purchases_stocks value
     * @param float $advance_payments_purchases_stocks
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAdvance_payments_purchases_stocks($advance_payments_purchases_stocks = null)
    {
        // validation for constraint: float
        if (!is_null($advance_payments_purchases_stocks) && !(is_float($advance_payments_purchases_stocks) || is_numeric($advance_payments_purchases_stocks))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($advance_payments_purchases_stocks, true), gettype($advance_payments_purchases_stocks)), __LINE__);
        }
        $this->advance_payments_purchases_stocks = $advance_payments_purchases_stocks;
        return $this;
    }
    /**
     * Get stocks_contracts_progress value
     * @return float|null
     */
    public function getStocks_contracts_progress()
    {
        return $this->stocks_contracts_progress;
    }
    /**
     * Set stocks_contracts_progress value
     * @param float $stocks_contracts_progress
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setStocks_contracts_progress($stocks_contracts_progress = null)
    {
        // validation for constraint: float
        if (!is_null($stocks_contracts_progress) && !(is_float($stocks_contracts_progress) || is_numeric($stocks_contracts_progress))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($stocks_contracts_progress, true), gettype($stocks_contracts_progress)), __LINE__);
        }
        $this->stocks_contracts_progress = $stocks_contracts_progress;
        return $this;
    }
    /**
     * Get deferred_charges_accrued_income value
     * @return float|null
     */
    public function getDeferred_charges_accrued_income()
    {
        return $this->deferred_charges_accrued_income;
    }
    /**
     * Set deferred_charges_accrued_income value
     * @param float $deferred_charges_accrued_income
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setDeferred_charges_accrued_income($deferred_charges_accrued_income = null)
    {
        // validation for constraint: float
        if (!is_null($deferred_charges_accrued_income) && !(is_float($deferred_charges_accrued_income) || is_numeric($deferred_charges_accrued_income))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($deferred_charges_accrued_income, true), gettype($deferred_charges_accrued_income)), __LINE__);
        }
        $this->deferred_charges_accrued_income = $deferred_charges_accrued_income;
        return $this;
    }
    /**
     * Get own_construction_capitalised value
     * @return float|null
     */
    public function getOwn_construction_capitalised()
    {
        return $this->own_construction_capitalised;
    }
    /**
     * Set own_construction_capitalised value
     * @param float $own_construction_capitalised
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setOwn_construction_capitalised($own_construction_capitalised = null)
    {
        // validation for constraint: float
        if (!is_null($own_construction_capitalised) && !(is_float($own_construction_capitalised) || is_numeric($own_construction_capitalised))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($own_construction_capitalised, true), gettype($own_construction_capitalised)), __LINE__);
        }
        $this->own_construction_capitalised = $own_construction_capitalised;
        return $this;
    }
    /**
     * Get stock_work_progress value
     * @return float|null
     */
    public function getStock_work_progress()
    {
        return $this->stock_work_progress;
    }
    /**
     * Set stock_work_progress value
     * @param float $stock_work_progress
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setStock_work_progress($stock_work_progress = null)
    {
        // validation for constraint: float
        if (!is_null($stock_work_progress) && !(is_float($stock_work_progress) || is_numeric($stock_work_progress))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($stock_work_progress, true), gettype($stock_work_progress)), __LINE__);
        }
        $this->stock_work_progress = $stock_work_progress;
        return $this;
    }
    /**
     * Get stock_finished_goods value
     * @return float|null
     */
    public function getStock_finished_goods()
    {
        return $this->stock_finished_goods;
    }
    /**
     * Set stock_finished_goods value
     * @param float $stock_finished_goods
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setStock_finished_goods($stock_finished_goods = null)
    {
        // validation for constraint: float
        if (!is_null($stock_finished_goods) && !(is_float($stock_finished_goods) || is_numeric($stock_finished_goods))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($stock_finished_goods, true), gettype($stock_finished_goods)), __LINE__);
        }
        $this->stock_finished_goods = $stock_finished_goods;
        return $this;
    }
    /**
     * Get contracts_progress value
     * @return float|null
     */
    public function getContracts_progress()
    {
        return $this->contracts_progress;
    }
    /**
     * Set contracts_progress value
     * @param float $contracts_progress
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setContracts_progress($contracts_progress = null)
    {
        // validation for constraint: float
        if (!is_null($contracts_progress) && !(is_float($contracts_progress) || is_numeric($contracts_progress))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($contracts_progress, true), gettype($contracts_progress)), __LINE__);
        }
        $this->contracts_progress = $contracts_progress;
        return $this;
    }
    /**
     * Get personal_guarantees_provided_or_irrevocably_promised_by_enterprise value
     * @return float|null
     */
    public function getPersonal_guarantees_provided_or_irrevocably_promised_by_enterprise()
    {
        return $this->personal_guarantees_provided_or_irrevocably_promised_by_enterprise;
    }
    /**
     * Set personal_guarantees_provided_or_irrevocably_promised_by_enterprise value
     * @param float $personal_guarantees_provided_or_irrevocably_promised_by_enterprise
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setPersonal_guarantees_provided_or_irrevocably_promised_by_enterprise($personal_guarantees_provided_or_irrevocably_promised_by_enterprise = null)
    {
        // validation for constraint: float
        if (!is_null($personal_guarantees_provided_or_irrevocably_promised_by_enterprise) && !(is_float($personal_guarantees_provided_or_irrevocably_promised_by_enterprise) || is_numeric($personal_guarantees_provided_or_irrevocably_promised_by_enterprise))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($personal_guarantees_provided_or_irrevocably_promised_by_enterprise, true), gettype($personal_guarantees_provided_or_irrevocably_promised_by_enterprise)), __LINE__);
        }
        $this->personal_guarantees_provided_or_irrevocably_promised_by_enterprise = $personal_guarantees_provided_or_irrevocably_promised_by_enterprise;
        return $this;
    }
    /**
     * Get value_added_taxes_charged_by_enterprise value
     * @return float|null
     */
    public function getValue_added_taxes_charged_by_enterprise()
    {
        return $this->value_added_taxes_charged_by_enterprise;
    }
    /**
     * Set value_added_taxes_charged_by_enterprise value
     * @param float $value_added_taxes_charged_by_enterprise
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setValue_added_taxes_charged_by_enterprise($value_added_taxes_charged_by_enterprise = null)
    {
        // validation for constraint: float
        if (!is_null($value_added_taxes_charged_by_enterprise) && !(is_float($value_added_taxes_charged_by_enterprise) || is_numeric($value_added_taxes_charged_by_enterprise))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($value_added_taxes_charged_by_enterprise, true), gettype($value_added_taxes_charged_by_enterprise)), __LINE__);
        }
        $this->value_added_taxes_charged_by_enterprise = $value_added_taxes_charged_by_enterprise;
        return $this;
    }
    /**
     * Get purchases_raw_materials_consumables value
     * @return float|null
     */
    public function getPurchases_raw_materials_consumables()
    {
        return $this->purchases_raw_materials_consumables;
    }
    /**
     * Set purchases_raw_materials_consumables value
     * @param float $purchases_raw_materials_consumables
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setPurchases_raw_materials_consumables($purchases_raw_materials_consumables = null)
    {
        // validation for constraint: float
        if (!is_null($purchases_raw_materials_consumables) && !(is_float($purchases_raw_materials_consumables) || is_numeric($purchases_raw_materials_consumables))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($purchases_raw_materials_consumables, true), gettype($purchases_raw_materials_consumables)), __LINE__);
        }
        $this->purchases_raw_materials_consumables = $purchases_raw_materials_consumables;
        return $this;
    }
    /**
     * Get value_added_taxes_charged_to_enterprise value
     * @return float|null
     */
    public function getValue_added_taxes_charged_to_enterprise()
    {
        return $this->value_added_taxes_charged_to_enterprise;
    }
    /**
     * Set value_added_taxes_charged_to_enterprise value
     * @param float $value_added_taxes_charged_to_enterprise
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setValue_added_taxes_charged_to_enterprise($value_added_taxes_charged_to_enterprise = null)
    {
        // validation for constraint: float
        if (!is_null($value_added_taxes_charged_to_enterprise) && !(is_float($value_added_taxes_charged_to_enterprise) || is_numeric($value_added_taxes_charged_to_enterprise))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($value_added_taxes_charged_to_enterprise, true), gettype($value_added_taxes_charged_to_enterprise)), __LINE__);
        }
        $this->value_added_taxes_charged_to_enterprise = $value_added_taxes_charged_to_enterprise;
        return $this;
    }
    /**
     * Get amounts_written_down_current_assets value
     * @return float|null
     */
    public function getAmounts_written_down_current_assets()
    {
        return $this->amounts_written_down_current_assets;
    }
    /**
     * Set amounts_written_down_current_assets value
     * @param float $amounts_written_down_current_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAmounts_written_down_current_assets($amounts_written_down_current_assets = null)
    {
        // validation for constraint: float
        if (!is_null($amounts_written_down_current_assets) && !(is_float($amounts_written_down_current_assets) || is_numeric($amounts_written_down_current_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($amounts_written_down_current_assets, true), gettype($amounts_written_down_current_assets)), __LINE__);
        }
        $this->amounts_written_down_current_assets = $amounts_written_down_current_assets;
        return $this;
    }
    /**
     * Get provisions_financial_nature_appropriations value
     * @return float|null
     */
    public function getProvisions_financial_nature_appropriations()
    {
        return $this->provisions_financial_nature_appropriations;
    }
    /**
     * Set provisions_financial_nature_appropriations value
     * @param float $provisions_financial_nature_appropriations
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setProvisions_financial_nature_appropriations($provisions_financial_nature_appropriations = null)
    {
        // validation for constraint: float
        if (!is_null($provisions_financial_nature_appropriations) && !(is_float($provisions_financial_nature_appropriations) || is_numeric($provisions_financial_nature_appropriations))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($provisions_financial_nature_appropriations, true), gettype($provisions_financial_nature_appropriations)), __LINE__);
        }
        $this->provisions_financial_nature_appropriations = $provisions_financial_nature_appropriations;
        return $this;
    }
    /**
     * Get provisions_financial_nature_uses_write_backs value
     * @return float|null
     */
    public function getProvisions_financial_nature_uses_write_backs()
    {
        return $this->provisions_financial_nature_uses_write_backs;
    }
    /**
     * Set provisions_financial_nature_uses_write_backs value
     * @param float $provisions_financial_nature_uses_write_backs
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setProvisions_financial_nature_uses_write_backs($provisions_financial_nature_uses_write_backs = null)
    {
        // validation for constraint: float
        if (!is_null($provisions_financial_nature_uses_write_backs) && !(is_float($provisions_financial_nature_uses_write_backs) || is_numeric($provisions_financial_nature_uses_write_backs))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($provisions_financial_nature_uses_write_backs, true), gettype($provisions_financial_nature_uses_write_backs)), __LINE__);
        }
        $this->provisions_financial_nature_uses_write_backs = $provisions_financial_nature_uses_write_backs;
        return $this;
    }
    /**
     * Get extraordinary_depreciation_extraordinary_amounts_written_down value
     * @return float|null
     */
    public function getExtraordinary_depreciation_extraordinary_amounts_written_down()
    {
        return $this->extraordinary_depreciation_extraordinary_amounts_written_down;
    }
    /**
     * Set extraordinary_depreciation_extraordinary_amounts_written_down value
     * @param float $extraordinary_depreciation_extraordinary_amounts_written_down
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setExtraordinary_depreciation_extraordinary_amounts_written_down($extraordinary_depreciation_extraordinary_amounts_written_down = null)
    {
        // validation for constraint: float
        if (!is_null($extraordinary_depreciation_extraordinary_amounts_written_down) && !(is_float($extraordinary_depreciation_extraordinary_amounts_written_down) || is_numeric($extraordinary_depreciation_extraordinary_amounts_written_down))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($extraordinary_depreciation_extraordinary_amounts_written_down, true), gettype($extraordinary_depreciation_extraordinary_amounts_written_down)), __LINE__);
        }
        $this->extraordinary_depreciation_extraordinary_amounts_written_down = $extraordinary_depreciation_extraordinary_amounts_written_down;
        return $this;
    }
    /**
     * Get amounts_written_down_financial_fixed_assets value
     * @return float|null
     */
    public function getAmounts_written_down_financial_fixed_assets()
    {
        return $this->amounts_written_down_financial_fixed_assets;
    }
    /**
     * Set amounts_written_down_financial_fixed_assets value
     * @param float $amounts_written_down_financial_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAmounts_written_down_financial_fixed_assets($amounts_written_down_financial_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($amounts_written_down_financial_fixed_assets) && !(is_float($amounts_written_down_financial_fixed_assets) || is_numeric($amounts_written_down_financial_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($amounts_written_down_financial_fixed_assets, true), gettype($amounts_written_down_financial_fixed_assets)), __LINE__);
        }
        $this->amounts_written_down_financial_fixed_assets = $amounts_written_down_financial_fixed_assets;
        return $this;
    }
    /**
     * Get provisions_extraordinary_liabilities_charges_appropriations_uses value
     * @return float|null
     */
    public function getProvisions_extraordinary_liabilities_charges_appropriations_uses()
    {
        return $this->provisions_extraordinary_liabilities_charges_appropriations_uses;
    }
    /**
     * Set provisions_extraordinary_liabilities_charges_appropriations_uses value
     * @param float $provisions_extraordinary_liabilities_charges_appropriations_uses
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setProvisions_extraordinary_liabilities_charges_appropriations_uses($provisions_extraordinary_liabilities_charges_appropriations_uses = null)
    {
        // validation for constraint: float
        if (!is_null($provisions_extraordinary_liabilities_charges_appropriations_uses) && !(is_float($provisions_extraordinary_liabilities_charges_appropriations_uses) || is_numeric($provisions_extraordinary_liabilities_charges_appropriations_uses))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($provisions_extraordinary_liabilities_charges_appropriations_uses, true), gettype($provisions_extraordinary_liabilities_charges_appropriations_uses)), __LINE__);
        }
        $this->provisions_extraordinary_liabilities_charges_appropriations_uses = $provisions_extraordinary_liabilities_charges_appropriations_uses;
        return $this;
    }
    /**
     * Get
     * write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets
     * value
     * @return float|null
     */
    public function getWrite_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets()
    {
        return $this->write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets;
    }
    /**
     * Set
     * write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets
     * value
     * @param float $write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setWrite_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets($write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets) && !(is_float($write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets) || is_numeric($write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets, true), gettype($write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets)), __LINE__);
        }
        $this->write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets = $write_back_depreciation_amounts_written_down_intangible_tangible_fixed_assets;
        return $this;
    }
    /**
     * Get write_back_amounts_written_down_financial_fixed_assets value
     * @return float|null
     */
    public function getWrite_back_amounts_written_down_financial_fixed_assets()
    {
        return $this->write_back_amounts_written_down_financial_fixed_assets;
    }
    /**
     * Set write_back_amounts_written_down_financial_fixed_assets value
     * @param float $write_back_amounts_written_down_financial_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setWrite_back_amounts_written_down_financial_fixed_assets($write_back_amounts_written_down_financial_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($write_back_amounts_written_down_financial_fixed_assets) && !(is_float($write_back_amounts_written_down_financial_fixed_assets) || is_numeric($write_back_amounts_written_down_financial_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($write_back_amounts_written_down_financial_fixed_assets, true), gettype($write_back_amounts_written_down_financial_fixed_assets)), __LINE__);
        }
        $this->write_back_amounts_written_down_financial_fixed_assets = $write_back_amounts_written_down_financial_fixed_assets;
        return $this;
    }
    /**
     * Get write_back_provisions_extraordinary_liabilities_charges value
     * @return float|null
     */
    public function getWrite_back_provisions_extraordinary_liabilities_charges()
    {
        return $this->write_back_provisions_extraordinary_liabilities_charges;
    }
    /**
     * Set write_back_provisions_extraordinary_liabilities_charges value
     * @param float $write_back_provisions_extraordinary_liabilities_charges
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setWrite_back_provisions_extraordinary_liabilities_charges($write_back_provisions_extraordinary_liabilities_charges = null)
    {
        // validation for constraint: float
        if (!is_null($write_back_provisions_extraordinary_liabilities_charges) && !(is_float($write_back_provisions_extraordinary_liabilities_charges) || is_numeric($write_back_provisions_extraordinary_liabilities_charges))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($write_back_provisions_extraordinary_liabilities_charges, true), gettype($write_back_provisions_extraordinary_liabilities_charges)), __LINE__);
        }
        $this->write_back_provisions_extraordinary_liabilities_charges = $write_back_provisions_extraordinary_liabilities_charges;
        return $this;
    }
    /**
     * Get losses_disposal_fixed_assets value
     * @return float|null
     */
    public function getLosses_disposal_fixed_assets()
    {
        return $this->losses_disposal_fixed_assets;
    }
    /**
     * Set losses_disposal_fixed_assets value
     * @param float $losses_disposal_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setLosses_disposal_fixed_assets($losses_disposal_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($losses_disposal_fixed_assets) && !(is_float($losses_disposal_fixed_assets) || is_numeric($losses_disposal_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($losses_disposal_fixed_assets, true), gettype($losses_disposal_fixed_assets)), __LINE__);
        }
        $this->losses_disposal_fixed_assets = $losses_disposal_fixed_assets;
        return $this;
    }
    /**
     * Get income_taxes_result_period value
     * @return float|null
     */
    public function getIncome_taxes_result_period()
    {
        return $this->income_taxes_result_period;
    }
    /**
     * Set income_taxes_result_period value
     * @param float $income_taxes_result_period
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setIncome_taxes_result_period($income_taxes_result_period = null)
    {
        // validation for constraint: float
        if (!is_null($income_taxes_result_period) && !(is_float($income_taxes_result_period) || is_numeric($income_taxes_result_period))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($income_taxes_result_period, true), gettype($income_taxes_result_period)), __LINE__);
        }
        $this->income_taxes_result_period = $income_taxes_result_period;
        return $this;
    }
    /**
     * Get transfer_from_deferred_taxes value
     * @return float|null
     */
    public function getTransfer_from_deferred_taxes()
    {
        return $this->transfer_from_deferred_taxes;
    }
    /**
     * Set transfer_from_deferred_taxes value
     * @param float $transfer_from_deferred_taxes
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTransfer_from_deferred_taxes($transfer_from_deferred_taxes = null)
    {
        // validation for constraint: float
        if (!is_null($transfer_from_deferred_taxes) && !(is_float($transfer_from_deferred_taxes) || is_numeric($transfer_from_deferred_taxes))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($transfer_from_deferred_taxes, true), gettype($transfer_from_deferred_taxes)), __LINE__);
        }
        $this->transfer_from_deferred_taxes = $transfer_from_deferred_taxes;
        return $this;
    }
    /**
     * Get transfer_to_deferred_taxes value
     * @return float|null
     */
    public function getTransfer_to_deferred_taxes()
    {
        return $this->transfer_to_deferred_taxes;
    }
    /**
     * Set transfer_to_deferred_taxes value
     * @param float $transfer_to_deferred_taxes
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTransfer_to_deferred_taxes($transfer_to_deferred_taxes = null)
    {
        // validation for constraint: float
        if (!is_null($transfer_to_deferred_taxes) && !(is_float($transfer_to_deferred_taxes) || is_numeric($transfer_to_deferred_taxes))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($transfer_to_deferred_taxes, true), gettype($transfer_to_deferred_taxes)), __LINE__);
        }
        $this->transfer_to_deferred_taxes = $transfer_to_deferred_taxes;
        return $this;
    }
    /**
     * Get assets value
     * @return float|null
     */
    public function getAssets()
    {
        return $this->assets;
    }
    /**
     * Set assets value
     * @param float $assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAssets($assets = null)
    {
        // validation for constraint: float
        if (!is_null($assets) && !(is_float($assets) || is_numeric($assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($assets, true), gettype($assets)), __LINE__);
        }
        $this->assets = $assets;
        return $this;
    }
    /**
     * Get interest_subsidies_granted_public_authorities_recorded_income_period value
     * @return float|null
     */
    public function getInterest_subsidies_granted_public_authorities_recorded_income_period()
    {
        return $this->interest_subsidies_granted_public_authorities_recorded_income_period;
    }
    /**
     * Set interest_subsidies_granted_public_authorities_recorded_income_period value
     * @param float $interest_subsidies_granted_public_authorities_recorded_income_period
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setInterest_subsidies_granted_public_authorities_recorded_income_period($interest_subsidies_granted_public_authorities_recorded_income_period = null)
    {
        // validation for constraint: float
        if (!is_null($interest_subsidies_granted_public_authorities_recorded_income_period) && !(is_float($interest_subsidies_granted_public_authorities_recorded_income_period) || is_numeric($interest_subsidies_granted_public_authorities_recorded_income_period))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($interest_subsidies_granted_public_authorities_recorded_income_period, true), gettype($interest_subsidies_granted_public_authorities_recorded_income_period)), __LINE__);
        }
        $this->interest_subsidies_granted_public_authorities_recorded_income_period = $interest_subsidies_granted_public_authorities_recorded_income_period;
        return $this;
    }
    /**
     * Get charges_discounting_amounts_receivable value
     * @return float|null
     */
    public function getCharges_discounting_amounts_receivable()
    {
        return $this->charges_discounting_amounts_receivable;
    }
    /**
     * Set charges_discounting_amounts_receivable value
     * @param float $charges_discounting_amounts_receivable
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setCharges_discounting_amounts_receivable($charges_discounting_amounts_receivable = null)
    {
        // validation for constraint: float
        if (!is_null($charges_discounting_amounts_receivable) && !(is_float($charges_discounting_amounts_receivable) || is_numeric($charges_discounting_amounts_receivable))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($charges_discounting_amounts_receivable, true), gettype($charges_discounting_amounts_receivable)), __LINE__);
        }
        $this->charges_discounting_amounts_receivable = $charges_discounting_amounts_receivable;
        return $this;
    }
    /**
     * Get debt_charges value
     * @return float|null
     */
    public function getDebt_charges()
    {
        return $this->debt_charges;
    }
    /**
     * Set debt_charges value
     * @param float $debt_charges
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setDebt_charges($debt_charges = null)
    {
        // validation for constraint: float
        if (!is_null($debt_charges) && !(is_float($debt_charges) || is_numeric($debt_charges))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($debt_charges, true), gettype($debt_charges)), __LINE__);
        }
        $this->debt_charges = $debt_charges;
        return $this;
    }
    /**
     * Get depreciation_loan_issue_expenses_reimbursement_premiums value
     * @return float|null
     */
    public function getDepreciation_loan_issue_expenses_reimbursement_premiums()
    {
        return $this->depreciation_loan_issue_expenses_reimbursement_premiums;
    }
    /**
     * Set depreciation_loan_issue_expenses_reimbursement_premiums value
     * @param float $depreciation_loan_issue_expenses_reimbursement_premiums
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setDepreciation_loan_issue_expenses_reimbursement_premiums($depreciation_loan_issue_expenses_reimbursement_premiums = null)
    {
        // validation for constraint: float
        if (!is_null($depreciation_loan_issue_expenses_reimbursement_premiums) && !(is_float($depreciation_loan_issue_expenses_reimbursement_premiums) || is_numeric($depreciation_loan_issue_expenses_reimbursement_premiums))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($depreciation_loan_issue_expenses_reimbursement_premiums, true), gettype($depreciation_loan_issue_expenses_reimbursement_premiums)), __LINE__);
        }
        $this->depreciation_loan_issue_expenses_reimbursement_premiums = $depreciation_loan_issue_expenses_reimbursement_premiums;
        return $this;
    }
    /**
     * Get provisions_pensions_similar_obligations_appropriations_write_backs value
     * @return float|null
     */
    public function getProvisions_pensions_similar_obligations_appropriations_write_backs()
    {
        return $this->provisions_pensions_similar_obligations_appropriations_write_backs;
    }
    /**
     * Set provisions_pensions_similar_obligations_appropriations_write_backs value
     * @param float $provisions_pensions_similar_obligations_appropriations_write_backs
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setProvisions_pensions_similar_obligations_appropriations_write_backs($provisions_pensions_similar_obligations_appropriations_write_backs = null)
    {
        // validation for constraint: float
        if (!is_null($provisions_pensions_similar_obligations_appropriations_write_backs) && !(is_float($provisions_pensions_similar_obligations_appropriations_write_backs) || is_numeric($provisions_pensions_similar_obligations_appropriations_write_backs))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($provisions_pensions_similar_obligations_appropriations_write_backs, true), gettype($provisions_pensions_similar_obligations_appropriations_write_backs)), __LINE__);
        }
        $this->provisions_pensions_similar_obligations_appropriations_write_backs = $provisions_pensions_similar_obligations_appropriations_write_backs;
        return $this;
    }
    /**
     * Get current_portion_amounts_payable_more_one_year_falling_due_within_one_year
     * value
     * @return float|null
     */
    public function getCurrent_portion_amounts_payable_more_one_year_falling_due_within_one_year()
    {
        return $this->current_portion_amounts_payable_more_one_year_falling_due_within_one_year;
    }
    /**
     * Set current_portion_amounts_payable_more_one_year_falling_due_within_one_year
     * value
     * @param float $current_portion_amounts_payable_more_one_year_falling_due_within_one_year
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setCurrent_portion_amounts_payable_more_one_year_falling_due_within_one_year($current_portion_amounts_payable_more_one_year_falling_due_within_one_year = null)
    {
        // validation for constraint: float
        if (!is_null($current_portion_amounts_payable_more_one_year_falling_due_within_one_year) && !(is_float($current_portion_amounts_payable_more_one_year_falling_due_within_one_year) || is_numeric($current_portion_amounts_payable_more_one_year_falling_due_within_one_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($current_portion_amounts_payable_more_one_year_falling_due_within_one_year, true), gettype($current_portion_amounts_payable_more_one_year_falling_due_within_one_year)), __LINE__);
        }
        $this->current_portion_amounts_payable_more_one_year_falling_due_within_one_year = $current_portion_amounts_payable_more_one_year_falling_due_within_one_year;
        return $this;
    }
    /**
     * Get amounts_payable_more_one_year value
     * @return float|null
     */
    public function getAmounts_payable_more_one_year()
    {
        return $this->amounts_payable_more_one_year;
    }
    /**
     * Set amounts_payable_more_one_year value
     * @param float $amounts_payable_more_one_year
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAmounts_payable_more_one_year($amounts_payable_more_one_year = null)
    {
        // validation for constraint: float
        if (!is_null($amounts_payable_more_one_year) && !(is_float($amounts_payable_more_one_year) || is_numeric($amounts_payable_more_one_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($amounts_payable_more_one_year, true), gettype($amounts_payable_more_one_year)), __LINE__);
        }
        $this->amounts_payable_more_one_year = $amounts_payable_more_one_year;
        return $this;
    }
    /**
     * Get provisions_deferred_taxes value
     * @return float|null
     */
    public function getProvisions_deferred_taxes()
    {
        return $this->provisions_deferred_taxes;
    }
    /**
     * Set provisions_deferred_taxes value
     * @param float $provisions_deferred_taxes
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setProvisions_deferred_taxes($provisions_deferred_taxes = null)
    {
        // validation for constraint: float
        if (!is_null($provisions_deferred_taxes) && !(is_float($provisions_deferred_taxes) || is_numeric($provisions_deferred_taxes))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($provisions_deferred_taxes, true), gettype($provisions_deferred_taxes)), __LINE__);
        }
        $this->provisions_deferred_taxes = $provisions_deferred_taxes;
        return $this;
    }
    /**
     * Get amounts_payable value
     * @return float|null
     */
    public function getAmounts_payable()
    {
        return $this->amounts_payable;
    }
    /**
     * Set amounts_payable value
     * @param float $amounts_payable
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAmounts_payable($amounts_payable = null)
    {
        // validation for constraint: float
        if (!is_null($amounts_payable) && !(is_float($amounts_payable) || is_numeric($amounts_payable))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($amounts_payable, true), gettype($amounts_payable)), __LINE__);
        }
        $this->amounts_payable = $amounts_payable;
        return $this;
    }
    /**
     * Get reserves value
     * @return float|null
     */
    public function getReserves()
    {
        return $this->reserves;
    }
    /**
     * Set reserves value
     * @param float $reserves
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setReserves($reserves = null)
    {
        // validation for constraint: float
        if (!is_null($reserves) && !(is_float($reserves) || is_numeric($reserves))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($reserves, true), gettype($reserves)), __LINE__);
        }
        $this->reserves = $reserves;
        return $this;
    }
    /**
     * Get accumulated_profits_losses value
     * @return float|null
     */
    public function getAccumulated_profits_losses()
    {
        return $this->accumulated_profits_losses;
    }
    /**
     * Set accumulated_profits_losses value
     * @param float $accumulated_profits_losses
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAccumulated_profits_losses($accumulated_profits_losses = null)
    {
        // validation for constraint: float
        if (!is_null($accumulated_profits_losses) && !(is_float($accumulated_profits_losses) || is_numeric($accumulated_profits_losses))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($accumulated_profits_losses, true), gettype($accumulated_profits_losses)), __LINE__);
        }
        $this->accumulated_profits_losses = $accumulated_profits_losses;
        return $this;
    }
    /**
     * Get financial_debts_payable_within_one_year value
     * @return float|null
     */
    public function getFinancial_debts_payable_within_one_year()
    {
        return $this->financial_debts_payable_within_one_year;
    }
    /**
     * Set financial_debts_payable_within_one_year value
     * @param float $financial_debts_payable_within_one_year
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setFinancial_debts_payable_within_one_year($financial_debts_payable_within_one_year = null)
    {
        // validation for constraint: float
        if (!is_null($financial_debts_payable_within_one_year) && !(is_float($financial_debts_payable_within_one_year) || is_numeric($financial_debts_payable_within_one_year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($financial_debts_payable_within_one_year, true), gettype($financial_debts_payable_within_one_year)), __LINE__);
        }
        $this->financial_debts_payable_within_one_year = $financial_debts_payable_within_one_year;
        return $this;
    }
    /**
     * Get formation_expenses value
     * @return float|null
     */
    public function getFormation_expenses()
    {
        return $this->formation_expenses;
    }
    /**
     * Set formation_expenses value
     * @param float $formation_expenses
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setFormation_expenses($formation_expenses = null)
    {
        // validation for constraint: float
        if (!is_null($formation_expenses) && !(is_float($formation_expenses) || is_numeric($formation_expenses))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($formation_expenses, true), gettype($formation_expenses)), __LINE__);
        }
        $this->formation_expenses = $formation_expenses;
        return $this;
    }
    /**
     * Get intangible_fixed_assets value
     * @return float|null
     */
    public function getIntangible_fixed_assets()
    {
        return $this->intangible_fixed_assets;
    }
    /**
     * Set intangible_fixed_assets value
     * @param float $intangible_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setIntangible_fixed_assets($intangible_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($intangible_fixed_assets) && !(is_float($intangible_fixed_assets) || is_numeric($intangible_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($intangible_fixed_assets, true), gettype($intangible_fixed_assets)), __LINE__);
        }
        $this->intangible_fixed_assets = $intangible_fixed_assets;
        return $this;
    }
    /**
     * Get tangible_fixed_assets value
     * @return float|null
     */
    public function getTangible_fixed_assets()
    {
        return $this->tangible_fixed_assets;
    }
    /**
     * Set tangible_fixed_assets value
     * @param float $tangible_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTangible_fixed_assets($tangible_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($tangible_fixed_assets) && !(is_float($tangible_fixed_assets) || is_numeric($tangible_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($tangible_fixed_assets, true), gettype($tangible_fixed_assets)), __LINE__);
        }
        $this->tangible_fixed_assets = $tangible_fixed_assets;
        return $this;
    }
    /**
     * Get land_buildings_acquisition_including_produced_fixed_assets value
     * @return float|null
     */
    public function getLand_buildings_acquisition_including_produced_fixed_assets()
    {
        return $this->land_buildings_acquisition_including_produced_fixed_assets;
    }
    /**
     * Set land_buildings_acquisition_including_produced_fixed_assets value
     * @param float $land_buildings_acquisition_including_produced_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setLand_buildings_acquisition_including_produced_fixed_assets($land_buildings_acquisition_including_produced_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($land_buildings_acquisition_including_produced_fixed_assets) && !(is_float($land_buildings_acquisition_including_produced_fixed_assets) || is_numeric($land_buildings_acquisition_including_produced_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($land_buildings_acquisition_including_produced_fixed_assets, true), gettype($land_buildings_acquisition_including_produced_fixed_assets)), __LINE__);
        }
        $this->land_buildings_acquisition_including_produced_fixed_assets = $land_buildings_acquisition_including_produced_fixed_assets;
        return $this;
    }
    /**
     * Get plant_machinery_equipment_acquisition_including_produced_fixed_assets value
     * @return float|null
     */
    public function getPlant_machinery_equipment_acquisition_including_produced_fixed_assets()
    {
        return $this->plant_machinery_equipment_acquisition_including_produced_fixed_assets;
    }
    /**
     * Set plant_machinery_equipment_acquisition_including_produced_fixed_assets value
     * @param float $plant_machinery_equipment_acquisition_including_produced_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setPlant_machinery_equipment_acquisition_including_produced_fixed_assets($plant_machinery_equipment_acquisition_including_produced_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($plant_machinery_equipment_acquisition_including_produced_fixed_assets) && !(is_float($plant_machinery_equipment_acquisition_including_produced_fixed_assets) || is_numeric($plant_machinery_equipment_acquisition_including_produced_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($plant_machinery_equipment_acquisition_including_produced_fixed_assets, true), gettype($plant_machinery_equipment_acquisition_including_produced_fixed_assets)), __LINE__);
        }
        $this->plant_machinery_equipment_acquisition_including_produced_fixed_assets = $plant_machinery_equipment_acquisition_including_produced_fixed_assets;
        return $this;
    }
    /**
     * Get furniture_vehicles_acquisition_including_produced_fixed_assets value
     * @return float|null
     */
    public function getFurniture_vehicles_acquisition_including_produced_fixed_assets()
    {
        return $this->furniture_vehicles_acquisition_including_produced_fixed_assets;
    }
    /**
     * Set furniture_vehicles_acquisition_including_produced_fixed_assets value
     * @param float $furniture_vehicles_acquisition_including_produced_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setFurniture_vehicles_acquisition_including_produced_fixed_assets($furniture_vehicles_acquisition_including_produced_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($furniture_vehicles_acquisition_including_produced_fixed_assets) && !(is_float($furniture_vehicles_acquisition_including_produced_fixed_assets) || is_numeric($furniture_vehicles_acquisition_including_produced_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($furniture_vehicles_acquisition_including_produced_fixed_assets, true), gettype($furniture_vehicles_acquisition_including_produced_fixed_assets)), __LINE__);
        }
        $this->furniture_vehicles_acquisition_including_produced_fixed_assets = $furniture_vehicles_acquisition_including_produced_fixed_assets;
        return $this;
    }
    /**
     * Get leasing_other_similar_rights_acquisition_including_produced_fixed_assets
     * value
     * @return float|null
     */
    public function getLeasing_other_similar_rights_acquisition_including_produced_fixed_assets()
    {
        return $this->leasing_other_similar_rights_acquisition_including_produced_fixed_assets;
    }
    /**
     * Set leasing_other_similar_rights_acquisition_including_produced_fixed_assets
     * value
     * @param float $leasing_other_similar_rights_acquisition_including_produced_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setLeasing_other_similar_rights_acquisition_including_produced_fixed_assets($leasing_other_similar_rights_acquisition_including_produced_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($leasing_other_similar_rights_acquisition_including_produced_fixed_assets) && !(is_float($leasing_other_similar_rights_acquisition_including_produced_fixed_assets) || is_numeric($leasing_other_similar_rights_acquisition_including_produced_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($leasing_other_similar_rights_acquisition_including_produced_fixed_assets, true), gettype($leasing_other_similar_rights_acquisition_including_produced_fixed_assets)), __LINE__);
        }
        $this->leasing_other_similar_rights_acquisition_including_produced_fixed_assets = $leasing_other_similar_rights_acquisition_including_produced_fixed_assets;
        return $this;
    }
    /**
     * Get other_tangible_fixed_assets_acquisition_including_produced_fixed_assets
     * value
     * @return float|null
     */
    public function getOther_tangible_fixed_assets_acquisition_including_produced_fixed_assets()
    {
        return $this->other_tangible_fixed_assets_acquisition_including_produced_fixed_assets;
    }
    /**
     * Set other_tangible_fixed_assets_acquisition_including_produced_fixed_assets
     * value
     * @param float $other_tangible_fixed_assets_acquisition_including_produced_fixed_assets
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setOther_tangible_fixed_assets_acquisition_including_produced_fixed_assets($other_tangible_fixed_assets_acquisition_including_produced_fixed_assets = null)
    {
        // validation for constraint: float
        if (!is_null($other_tangible_fixed_assets_acquisition_including_produced_fixed_assets) && !(is_float($other_tangible_fixed_assets_acquisition_including_produced_fixed_assets) || is_numeric($other_tangible_fixed_assets_acquisition_including_produced_fixed_assets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($other_tangible_fixed_assets_acquisition_including_produced_fixed_assets, true), gettype($other_tangible_fixed_assets_acquisition_including_produced_fixed_assets)), __LINE__);
        }
        $this->other_tangible_fixed_assets_acquisition_including_produced_fixed_assets = $other_tangible_fixed_assets_acquisition_including_produced_fixed_assets;
        return $this;
    }
    /**
     * Get tangible_fixed_assets_under_construction value
     * @return float|null
     */
    public function getTangible_fixed_assets_under_construction()
    {
        return $this->tangible_fixed_assets_under_construction;
    }
    /**
     * Set tangible_fixed_assets_under_construction value
     * @param float $tangible_fixed_assets_under_construction
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTangible_fixed_assets_under_construction($tangible_fixed_assets_under_construction = null)
    {
        // validation for constraint: float
        if (!is_null($tangible_fixed_assets_under_construction) && !(is_float($tangible_fixed_assets_under_construction) || is_numeric($tangible_fixed_assets_under_construction))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($tangible_fixed_assets_under_construction, true), gettype($tangible_fixed_assets_under_construction)), __LINE__);
        }
        $this->tangible_fixed_assets_under_construction = $tangible_fixed_assets_under_construction;
        return $this;
    }
    /**
     * Get land_buildings_revaluation_gains_third_parties value
     * @return float|null
     */
    public function getLand_buildings_revaluation_gains_third_parties()
    {
        return $this->land_buildings_revaluation_gains_third_parties;
    }
    /**
     * Set land_buildings_revaluation_gains_third_parties value
     * @param float $land_buildings_revaluation_gains_third_parties
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setLand_buildings_revaluation_gains_third_parties($land_buildings_revaluation_gains_third_parties = null)
    {
        // validation for constraint: float
        if (!is_null($land_buildings_revaluation_gains_third_parties) && !(is_float($land_buildings_revaluation_gains_third_parties) || is_numeric($land_buildings_revaluation_gains_third_parties))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($land_buildings_revaluation_gains_third_parties, true), gettype($land_buildings_revaluation_gains_third_parties)), __LINE__);
        }
        $this->land_buildings_revaluation_gains_third_parties = $land_buildings_revaluation_gains_third_parties;
        return $this;
    }
    /**
     * Get plant_machinery_equipment_revaluation_gains_third_parties value
     * @return float|null
     */
    public function getPlant_machinery_equipment_revaluation_gains_third_parties()
    {
        return $this->plant_machinery_equipment_revaluation_gains_third_parties;
    }
    /**
     * Set plant_machinery_equipment_revaluation_gains_third_parties value
     * @param float $plant_machinery_equipment_revaluation_gains_third_parties
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setPlant_machinery_equipment_revaluation_gains_third_parties($plant_machinery_equipment_revaluation_gains_third_parties = null)
    {
        // validation for constraint: float
        if (!is_null($plant_machinery_equipment_revaluation_gains_third_parties) && !(is_float($plant_machinery_equipment_revaluation_gains_third_parties) || is_numeric($plant_machinery_equipment_revaluation_gains_third_parties))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($plant_machinery_equipment_revaluation_gains_third_parties, true), gettype($plant_machinery_equipment_revaluation_gains_third_parties)), __LINE__);
        }
        $this->plant_machinery_equipment_revaluation_gains_third_parties = $plant_machinery_equipment_revaluation_gains_third_parties;
        return $this;
    }
    /**
     * Get furniture_vehicles_revaluation_gains_third_parties value
     * @return float|null
     */
    public function getFurniture_vehicles_revaluation_gains_third_parties()
    {
        return $this->furniture_vehicles_revaluation_gains_third_parties;
    }
    /**
     * Set furniture_vehicles_revaluation_gains_third_parties value
     * @param float $furniture_vehicles_revaluation_gains_third_parties
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setFurniture_vehicles_revaluation_gains_third_parties($furniture_vehicles_revaluation_gains_third_parties = null)
    {
        // validation for constraint: float
        if (!is_null($furniture_vehicles_revaluation_gains_third_parties) && !(is_float($furniture_vehicles_revaluation_gains_third_parties) || is_numeric($furniture_vehicles_revaluation_gains_third_parties))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($furniture_vehicles_revaluation_gains_third_parties, true), gettype($furniture_vehicles_revaluation_gains_third_parties)), __LINE__);
        }
        $this->furniture_vehicles_revaluation_gains_third_parties = $furniture_vehicles_revaluation_gains_third_parties;
        return $this;
    }
    /**
     * Get leasing_other_similar_rights_revaluation_gains_third_parties value
     * @return float|null
     */
    public function getLeasing_other_similar_rights_revaluation_gains_third_parties()
    {
        return $this->leasing_other_similar_rights_revaluation_gains_third_parties;
    }
    /**
     * Set leasing_other_similar_rights_revaluation_gains_third_parties value
     * @param float $leasing_other_similar_rights_revaluation_gains_third_parties
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setLeasing_other_similar_rights_revaluation_gains_third_parties($leasing_other_similar_rights_revaluation_gains_third_parties = null)
    {
        // validation for constraint: float
        if (!is_null($leasing_other_similar_rights_revaluation_gains_third_parties) && !(is_float($leasing_other_similar_rights_revaluation_gains_third_parties) || is_numeric($leasing_other_similar_rights_revaluation_gains_third_parties))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($leasing_other_similar_rights_revaluation_gains_third_parties, true), gettype($leasing_other_similar_rights_revaluation_gains_third_parties)), __LINE__);
        }
        $this->leasing_other_similar_rights_revaluation_gains_third_parties = $leasing_other_similar_rights_revaluation_gains_third_parties;
        return $this;
    }
    /**
     * Get other_tangible_fixed_assets_revaluation_gains_third_parties value
     * @return float|null
     */
    public function getOther_tangible_fixed_assets_revaluation_gains_third_parties()
    {
        return $this->other_tangible_fixed_assets_revaluation_gains_third_parties;
    }
    /**
     * Set other_tangible_fixed_assets_revaluation_gains_third_parties value
     * @param float $other_tangible_fixed_assets_revaluation_gains_third_parties
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setOther_tangible_fixed_assets_revaluation_gains_third_parties($other_tangible_fixed_assets_revaluation_gains_third_parties = null)
    {
        // validation for constraint: float
        if (!is_null($other_tangible_fixed_assets_revaluation_gains_third_parties) && !(is_float($other_tangible_fixed_assets_revaluation_gains_third_parties) || is_numeric($other_tangible_fixed_assets_revaluation_gains_third_parties))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($other_tangible_fixed_assets_revaluation_gains_third_parties, true), gettype($other_tangible_fixed_assets_revaluation_gains_third_parties)), __LINE__);
        }
        $this->other_tangible_fixed_assets_revaluation_gains_third_parties = $other_tangible_fixed_assets_revaluation_gains_third_parties;
        return $this;
    }
    /**
     * Get
     * tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_thir
     * d_parties value
     * @return float|null
     */
    public function getTangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties()
    {
        return $this->tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties;
    }
    /**
     * Set
     * tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_thir
     * d_parties value
     * @param float $tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties($tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties = null)
    {
        // validation for constraint: float
        if (!is_null($tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties) && !(is_float($tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties) || is_numeric($tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties, true), gettype($tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties)), __LINE__);
        }
        $this->tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties = $tangible_fixed_assets_under_construction_advance_payments_revaluation_gains_third_parties;
        return $this;
    }
    /**
     * Get land_buildings_depreciations_amount_written_down_acquired_third_party value
     * @return float|null
     */
    public function getLand_buildings_depreciations_amount_written_down_acquired_third_party()
    {
        return $this->land_buildings_depreciations_amount_written_down_acquired_third_party;
    }
    /**
     * Set land_buildings_depreciations_amount_written_down_acquired_third_party value
     * @param float $land_buildings_depreciations_amount_written_down_acquired_third_party
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setLand_buildings_depreciations_amount_written_down_acquired_third_party($land_buildings_depreciations_amount_written_down_acquired_third_party = null)
    {
        // validation for constraint: float
        if (!is_null($land_buildings_depreciations_amount_written_down_acquired_third_party) && !(is_float($land_buildings_depreciations_amount_written_down_acquired_third_party) || is_numeric($land_buildings_depreciations_amount_written_down_acquired_third_party))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($land_buildings_depreciations_amount_written_down_acquired_third_party, true), gettype($land_buildings_depreciations_amount_written_down_acquired_third_party)), __LINE__);
        }
        $this->land_buildings_depreciations_amount_written_down_acquired_third_party = $land_buildings_depreciations_amount_written_down_acquired_third_party;
        return $this;
    }
    /**
     * Get
     * plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party
     * value
     * @return float|null
     */
    public function getPlant_machinery_equipment_depreciations_amount_written_down_acquired_third_party()
    {
        return $this->plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party;
    }
    /**
     * Set
     * plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party
     * value
     * @param float $plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setPlant_machinery_equipment_depreciations_amount_written_down_acquired_third_party($plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party = null)
    {
        // validation for constraint: float
        if (!is_null($plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party) && !(is_float($plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party) || is_numeric($plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party, true), gettype($plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party)), __LINE__);
        }
        $this->plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party = $plant_machinery_equipment_depreciations_amount_written_down_acquired_third_party;
        return $this;
    }
    /**
     * Get furniture_vehicles_depreciations_amount_written_down_acquired_third_party
     * value
     * @return float|null
     */
    public function getFurniture_vehicles_depreciations_amount_written_down_acquired_third_party()
    {
        return $this->furniture_vehicles_depreciations_amount_written_down_acquired_third_party;
    }
    /**
     * Set furniture_vehicles_depreciations_amount_written_down_acquired_third_party
     * value
     * @param float $furniture_vehicles_depreciations_amount_written_down_acquired_third_party
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setFurniture_vehicles_depreciations_amount_written_down_acquired_third_party($furniture_vehicles_depreciations_amount_written_down_acquired_third_party = null)
    {
        // validation for constraint: float
        if (!is_null($furniture_vehicles_depreciations_amount_written_down_acquired_third_party) && !(is_float($furniture_vehicles_depreciations_amount_written_down_acquired_third_party) || is_numeric($furniture_vehicles_depreciations_amount_written_down_acquired_third_party))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($furniture_vehicles_depreciations_amount_written_down_acquired_third_party, true), gettype($furniture_vehicles_depreciations_amount_written_down_acquired_third_party)), __LINE__);
        }
        $this->furniture_vehicles_depreciations_amount_written_down_acquired_third_party = $furniture_vehicles_depreciations_amount_written_down_acquired_third_party;
        return $this;
    }
    /**
     * Get
     * leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_pa
     * rty value
     * @return float|null
     */
    public function getLeasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party()
    {
        return $this->leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party;
    }
    /**
     * Set
     * leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_pa
     * rty value
     * @param float $leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setLeasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party($leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party = null)
    {
        // validation for constraint: float
        if (!is_null($leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party) && !(is_float($leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party) || is_numeric($leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party, true), gettype($leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party)), __LINE__);
        }
        $this->leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party = $leasing_other_similar_rights_depreciations_amount_written_down_acquired_third_party;
        return $this;
    }
    /**
     * Get
     * other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_par
     * ty value
     * @return float|null
     */
    public function getOther_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party()
    {
        return $this->other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party;
    }
    /**
     * Set
     * other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_par
     * ty value
     * @param float $other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setOther_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party($other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party = null)
    {
        // validation for constraint: float
        if (!is_null($other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party) && !(is_float($other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party) || is_numeric($other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party, true), gettype($other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party)), __LINE__);
        }
        $this->other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party = $other_tangible_fixed_assets_depreciations_amount_written_down_acquired_third_party;
        return $this;
    }
    /**
     * Get tangible_fixed_assets_under_construction_advance_payments_depreciations
     * value
     * @return float|null
     */
    public function getTangible_fixed_assets_under_construction_advance_payments_depreciations()
    {
        return $this->tangible_fixed_assets_under_construction_advance_payments_depreciations;
    }
    /**
     * Set tangible_fixed_assets_under_construction_advance_payments_depreciations
     * value
     * @param float $tangible_fixed_assets_under_construction_advance_payments_depreciations
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setTangible_fixed_assets_under_construction_advance_payments_depreciations($tangible_fixed_assets_under_construction_advance_payments_depreciations = null)
    {
        // validation for constraint: float
        if (!is_null($tangible_fixed_assets_under_construction_advance_payments_depreciations) && !(is_float($tangible_fixed_assets_under_construction_advance_payments_depreciations) || is_numeric($tangible_fixed_assets_under_construction_advance_payments_depreciations))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($tangible_fixed_assets_under_construction_advance_payments_depreciations, true), gettype($tangible_fixed_assets_under_construction_advance_payments_depreciations)), __LINE__);
        }
        $this->tangible_fixed_assets_under_construction_advance_payments_depreciations = $tangible_fixed_assets_under_construction_advance_payments_depreciations;
        return $this;
    }
    /**
     * Get employees_recorded_personnel_register_total_number_closing_date value
     * @return float|null
     */
    public function getEmployees_recorded_personnel_register_total_number_closing_date()
    {
        return $this->employees_recorded_personnel_register_total_number_closing_date;
    }
    /**
     * Set employees_recorded_personnel_register_total_number_closing_date value
     * @param float $employees_recorded_personnel_register_total_number_closing_date
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setEmployees_recorded_personnel_register_total_number_closing_date($employees_recorded_personnel_register_total_number_closing_date = null)
    {
        // validation for constraint: float
        if (!is_null($employees_recorded_personnel_register_total_number_closing_date) && !(is_float($employees_recorded_personnel_register_total_number_closing_date) || is_numeric($employees_recorded_personnel_register_total_number_closing_date))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($employees_recorded_personnel_register_total_number_closing_date, true), gettype($employees_recorded_personnel_register_total_number_closing_date)), __LINE__);
        }
        $this->employees_recorded_personnel_register_total_number_closing_date = $employees_recorded_personnel_register_total_number_closing_date;
        return $this;
    }
    /**
     * Get
     * number_employees_personnel_register_closing_date_financial_year_men_full_time
     * value
     * @return float|null
     */
    public function getNumber_employees_personnel_register_closing_date_financial_year_men_full_time()
    {
        return $this->number_employees_personnel_register_closing_date_financial_year_men_full_time;
    }
    /**
     * Set
     * number_employees_personnel_register_closing_date_financial_year_men_full_time
     * value
     * @param float $number_employees_personnel_register_closing_date_financial_year_men_full_time
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setNumber_employees_personnel_register_closing_date_financial_year_men_full_time($number_employees_personnel_register_closing_date_financial_year_men_full_time = null)
    {
        // validation for constraint: float
        if (!is_null($number_employees_personnel_register_closing_date_financial_year_men_full_time) && !(is_float($number_employees_personnel_register_closing_date_financial_year_men_full_time) || is_numeric($number_employees_personnel_register_closing_date_financial_year_men_full_time))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($number_employees_personnel_register_closing_date_financial_year_men_full_time, true), gettype($number_employees_personnel_register_closing_date_financial_year_men_full_time)), __LINE__);
        }
        $this->number_employees_personnel_register_closing_date_financial_year_men_full_time = $number_employees_personnel_register_closing_date_financial_year_men_full_time;
        return $this;
    }
    /**
     * Get
     * number_employees_personnel_register_closing_date_financial_year_women_full_time
     * value
     * @return float|null
     */
    public function getNumber_employees_personnel_register_closing_date_financial_year_women_full_time()
    {
        return $this->number_employees_personnel_register_closing_date_financial_year_women_full_time;
    }
    /**
     * Set
     * number_employees_personnel_register_closing_date_financial_year_women_full_time
     * value
     * @param float $number_employees_personnel_register_closing_date_financial_year_women_full_time
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setNumber_employees_personnel_register_closing_date_financial_year_women_full_time($number_employees_personnel_register_closing_date_financial_year_women_full_time = null)
    {
        // validation for constraint: float
        if (!is_null($number_employees_personnel_register_closing_date_financial_year_women_full_time) && !(is_float($number_employees_personnel_register_closing_date_financial_year_women_full_time) || is_numeric($number_employees_personnel_register_closing_date_financial_year_women_full_time))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($number_employees_personnel_register_closing_date_financial_year_women_full_time, true), gettype($number_employees_personnel_register_closing_date_financial_year_women_full_time)), __LINE__);
        }
        $this->number_employees_personnel_register_closing_date_financial_year_women_full_time = $number_employees_personnel_register_closing_date_financial_year_women_full_time;
        return $this;
    }
    /**
     * Get
     * number_employees_personnel_register_closing_date_financial_year_men_part_time
     * value
     * @return float|null
     */
    public function getNumber_employees_personnel_register_closing_date_financial_year_men_part_time()
    {
        return $this->number_employees_personnel_register_closing_date_financial_year_men_part_time;
    }
    /**
     * Set
     * number_employees_personnel_register_closing_date_financial_year_men_part_time
     * value
     * @param float $number_employees_personnel_register_closing_date_financial_year_men_part_time
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setNumber_employees_personnel_register_closing_date_financial_year_men_part_time($number_employees_personnel_register_closing_date_financial_year_men_part_time = null)
    {
        // validation for constraint: float
        if (!is_null($number_employees_personnel_register_closing_date_financial_year_men_part_time) && !(is_float($number_employees_personnel_register_closing_date_financial_year_men_part_time) || is_numeric($number_employees_personnel_register_closing_date_financial_year_men_part_time))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($number_employees_personnel_register_closing_date_financial_year_men_part_time, true), gettype($number_employees_personnel_register_closing_date_financial_year_men_part_time)), __LINE__);
        }
        $this->number_employees_personnel_register_closing_date_financial_year_men_part_time = $number_employees_personnel_register_closing_date_financial_year_men_part_time;
        return $this;
    }
    /**
     * Get
     * number_employees_personnel_register_closing_date_financial_year_women_part_time
     * value
     * @return float|null
     */
    public function getNumber_employees_personnel_register_closing_date_financial_year_women_part_time()
    {
        return $this->number_employees_personnel_register_closing_date_financial_year_women_part_time;
    }
    /**
     * Set
     * number_employees_personnel_register_closing_date_financial_year_women_part_time
     * value
     * @param float $number_employees_personnel_register_closing_date_financial_year_women_part_time
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setNumber_employees_personnel_register_closing_date_financial_year_women_part_time($number_employees_personnel_register_closing_date_financial_year_women_part_time = null)
    {
        // validation for constraint: float
        if (!is_null($number_employees_personnel_register_closing_date_financial_year_women_part_time) && !(is_float($number_employees_personnel_register_closing_date_financial_year_women_part_time) || is_numeric($number_employees_personnel_register_closing_date_financial_year_women_part_time))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($number_employees_personnel_register_closing_date_financial_year_women_part_time, true), gettype($number_employees_personnel_register_closing_date_financial_year_women_part_time)), __LINE__);
        }
        $this->number_employees_personnel_register_closing_date_financial_year_women_part_time = $number_employees_personnel_register_closing_date_financial_year_women_part_time;
        return $this;
    }
    /**
     * Get investments value
     * @return float|null
     */
    public function getInvestments()
    {
        return $this->investments;
    }
    /**
     * Set investments value
     * @param float $investments
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setInvestments($investments = null)
    {
        // validation for constraint: float
        if (!is_null($investments) && !(is_float($investments) || is_numeric($investments))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($investments, true), gettype($investments)), __LINE__);
        }
        $this->investments = $investments;
        return $this;
    }
    /**
     * Get added_value value
     * @return float|null
     */
    public function getAdded_value()
    {
        return $this->added_value;
    }
    /**
     * Set added_value value
     * @param float $added_value
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public function setAdded_value($added_value = null)
    {
        // validation for constraint: float
        if (!is_null($added_value) && !(is_float($added_value) || is_numeric($added_value))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($added_value, true), gettype($added_value)), __LINE__);
        }
        $this->added_value = $added_value;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\BelgianBusinessFinancialValues
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
