<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyAdditionalInformationDETurnoverRangeV2
 * StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationDETurnoverRangeV2 extends AbstractStructBase
{
    /**
     * The year
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $year;
    /**
     * The range
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $range;
    /**
     * Constructor method for CreditsafeCompanyAdditionalInformationDETurnoverRangeV2
     * @uses CreditsafeCompanyAdditionalInformationDETurnoverRangeV2::setYear()
     * @uses CreditsafeCompanyAdditionalInformationDETurnoverRangeV2::setRange()
     * @param int $year
     * @param string $range
     */
    public function __construct($year = null, $range = null)
    {
        $this
            ->setYear($year)
            ->setRange($range);
    }
    /**
     * Get year value
     * @return int|null
     */
    public function getYear()
    {
        return $this->year;
    }
    /**
     * Set year value
     * @param int $year
     * @return \StructType\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2
     */
    public function setYear($year = null)
    {
        // validation for constraint: int
        if (!is_null($year) && !(is_int($year) || ctype_digit($year))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($year, true), gettype($year)), __LINE__);
        }
        $this->year = $year;
        return $this;
    }
    /**
     * Get range value
     * @return string|null
     */
    public function getRange()
    {
        return $this->range;
    }
    /**
     * Set range value
     * @param string $range
     * @return \StructType\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2
     */
    public function setRange($range = null)
    {
        // validation for constraint: string
        if (!is_null($range) && !is_string($range)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($range, true), gettype($range)), __LINE__);
        }
        $this->range = $range;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyAdditionalInformationDETurnoverRangeV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
