<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyAdditionalInformationV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationV2 extends AbstractStructBase
{
    /**
     * The de
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2
     */
    public $de;
    /**
     * The nl
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2
     */
    public $nl;
    /**
     * The generic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyKeyValueV2Array
     */
    public $generic;
    /**
     * Constructor method for CreditsafeCompanyAdditionalInformationV2
     * @uses CreditsafeCompanyAdditionalInformationV2::setDe()
     * @uses CreditsafeCompanyAdditionalInformationV2::setNl()
     * @uses CreditsafeCompanyAdditionalInformationV2::setGeneric()
     * @param \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2 $de
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2 $nl
     * @param \ArrayType\CreditsafeCompanyKeyValueV2Array $generic
     */
    public function __construct(\StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2 $de = null, \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2 $nl = null, \ArrayType\CreditsafeCompanyKeyValueV2Array $generic = null)
    {
        $this
            ->setDe($de)
            ->setNl($nl)
            ->setGeneric($generic);
    }
    /**
     * Get de value
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2|null
     */
    public function getDe()
    {
        return $this->de;
    }
    /**
     * Set de value
     * @param \StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2 $de
     * @return \StructType\CreditsafeCompanyAdditionalInformationV2
     */
    public function setDe(\StructType\CreditsafeCompanyAdditionalInformationDEAdditionalInformationV2 $de = null)
    {
        $this->de = $de;
        return $this;
    }
    /**
     * Get nl value
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2|null
     */
    public function getNl()
    {
        return $this->nl;
    }
    /**
     * Set nl value
     * @param \StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2 $nl
     * @return \StructType\CreditsafeCompanyAdditionalInformationV2
     */
    public function setNl(\StructType\CreditsafeCompanyAdditionalInformationNLAdditionalInformationV2 $nl = null)
    {
        $this->nl = $nl;
        return $this;
    }
    /**
     * Get generic value
     * @return \ArrayType\CreditsafeCompanyKeyValueV2Array|null
     */
    public function getGeneric()
    {
        return $this->generic;
    }
    /**
     * Set generic value
     * @param \ArrayType\CreditsafeCompanyKeyValueV2Array $generic
     * @return \StructType\CreditsafeCompanyAdditionalInformationV2
     */
    public function setGeneric(\ArrayType\CreditsafeCompanyKeyValueV2Array $generic = null)
    {
        $this->generic = $generic;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyAdditionalInformationV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
