<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyPaymentDataV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyPaymentDataV2 extends AbstractStructBase
{
    /**
     * The generic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyKeyValueV2Array
     */
    public $generic;
    /**
     * Constructor method for CreditsafeCompanyPaymentDataV2
     * @uses CreditsafeCompanyPaymentDataV2::setGeneric()
     * @param \ArrayType\CreditsafeCompanyKeyValueV2Array $generic
     */
    public function __construct(\ArrayType\CreditsafeCompanyKeyValueV2Array $generic = null)
    {
        $this
            ->setGeneric($generic);
    }
    /**
     * Get generic value
     * @return \ArrayType\CreditsafeCompanyKeyValueV2Array|null
     */
    public function getGeneric()
    {
        return $this->generic;
    }
    /**
     * Set generic value
     * @param \ArrayType\CreditsafeCompanyKeyValueV2Array $generic
     * @return \StructType\CreditsafeCompanyPaymentDataV2
     */
    public function setGeneric(\ArrayType\CreditsafeCompanyKeyValueV2Array $generic = null)
    {
        $this->generic = $generic;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyPaymentDataV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
