<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for creditsafeSearchCriteriaRequestType StructType
 * @subpackage Structs
 */
class CreditsafeSearchCriteriaRequestType extends AbstractStructBase
{
    /**
     * The countries
     * @var \ArrayType\StringArray
     */
    public $countries;
    /**
     * Constructor method for creditsafeSearchCriteriaRequestType
     * @uses CreditsafeSearchCriteriaRequestType::setCountries()
     * @param \ArrayType\StringArray $countries
     */
    public function __construct(\ArrayType\StringArray $countries = null)
    {
        $this
            ->setCountries($countries);
    }
    /**
     * Get countries value
     * @return \ArrayType\StringArray|null
     */
    public function getCountries()
    {
        return $this->countries;
    }
    /**
     * Set countries value
     * @param \ArrayType\StringArray $countries
     * @return \StructType\CreditsafeSearchCriteriaRequestType
     */
    public function setCountries(\ArrayType\StringArray $countries = null)
    {
        $this->countries = $countries;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeSearchCriteriaRequestType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
