<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessGetAdditionalPositionsResult StructType
 * @subpackage Structs
 */
class DutchBusinessGetAdditionalPositionsResult extends AbstractStructBase
{
    /**
     * The functionary
     * @var \StructType\DutchBusinessAdditionalPositionFunctionary
     */
    public $functionary;
    /**
     * The current_positions
     * @var \ArrayType\DutchBusinessAdditionalPositionArray
     */
    public $current_positions;
    /**
     * The previous_positions
     * @var \ArrayType\DutchBusinessAdditionalPositionArray
     */
    public $previous_positions;
    /**
     * The possible_current_positions
     * @var \ArrayType\DutchBusinessAdditionalPositionArray
     */
    public $possible_current_positions;
    /**
     * The possible_previous_positions
     * @var \ArrayType\DutchBusinessAdditionalPositionArray
     */
    public $possible_previous_positions;
    /**
     * Constructor method for DutchBusinessGetAdditionalPositionsResult
     * @uses DutchBusinessGetAdditionalPositionsResult::setFunctionary()
     * @uses DutchBusinessGetAdditionalPositionsResult::setCurrent_positions()
     * @uses DutchBusinessGetAdditionalPositionsResult::setPrevious_positions()
     * @uses DutchBusinessGetAdditionalPositionsResult::setPossible_current_positions()
     * @uses DutchBusinessGetAdditionalPositionsResult::setPossible_previous_positions()
     * @param \StructType\DutchBusinessAdditionalPositionFunctionary $functionary
     * @param \ArrayType\DutchBusinessAdditionalPositionArray $current_positions
     * @param \ArrayType\DutchBusinessAdditionalPositionArray $previous_positions
     * @param \ArrayType\DutchBusinessAdditionalPositionArray $possible_current_positions
     * @param \ArrayType\DutchBusinessAdditionalPositionArray $possible_previous_positions
     */
    public function __construct(\StructType\DutchBusinessAdditionalPositionFunctionary $functionary = null, \ArrayType\DutchBusinessAdditionalPositionArray $current_positions = null, \ArrayType\DutchBusinessAdditionalPositionArray $previous_positions = null, \ArrayType\DutchBusinessAdditionalPositionArray $possible_current_positions = null, \ArrayType\DutchBusinessAdditionalPositionArray $possible_previous_positions = null)
    {
        $this
            ->setFunctionary($functionary)
            ->setCurrent_positions($current_positions)
            ->setPrevious_positions($previous_positions)
            ->setPossible_current_positions($possible_current_positions)
            ->setPossible_previous_positions($possible_previous_positions);
    }
    /**
     * Get functionary value
     * @return \StructType\DutchBusinessAdditionalPositionFunctionary|null
     */
    public function getFunctionary()
    {
        return $this->functionary;
    }
    /**
     * Set functionary value
     * @param \StructType\DutchBusinessAdditionalPositionFunctionary $functionary
     * @return \StructType\DutchBusinessGetAdditionalPositionsResult
     */
    public function setFunctionary(\StructType\DutchBusinessAdditionalPositionFunctionary $functionary = null)
    {
        $this->functionary = $functionary;
        return $this;
    }
    /**
     * Get current_positions value
     * @return \ArrayType\DutchBusinessAdditionalPositionArray|null
     */
    public function getCurrent_positions()
    {
        return $this->current_positions;
    }
    /**
     * Set current_positions value
     * @param \ArrayType\DutchBusinessAdditionalPositionArray $current_positions
     * @return \StructType\DutchBusinessGetAdditionalPositionsResult
     */
    public function setCurrent_positions(\ArrayType\DutchBusinessAdditionalPositionArray $current_positions = null)
    {
        $this->current_positions = $current_positions;
        return $this;
    }
    /**
     * Get previous_positions value
     * @return \ArrayType\DutchBusinessAdditionalPositionArray|null
     */
    public function getPrevious_positions()
    {
        return $this->previous_positions;
    }
    /**
     * Set previous_positions value
     * @param \ArrayType\DutchBusinessAdditionalPositionArray $previous_positions
     * @return \StructType\DutchBusinessGetAdditionalPositionsResult
     */
    public function setPrevious_positions(\ArrayType\DutchBusinessAdditionalPositionArray $previous_positions = null)
    {
        $this->previous_positions = $previous_positions;
        return $this;
    }
    /**
     * Get possible_current_positions value
     * @return \ArrayType\DutchBusinessAdditionalPositionArray|null
     */
    public function getPossible_current_positions()
    {
        return $this->possible_current_positions;
    }
    /**
     * Set possible_current_positions value
     * @param \ArrayType\DutchBusinessAdditionalPositionArray $possible_current_positions
     * @return \StructType\DutchBusinessGetAdditionalPositionsResult
     */
    public function setPossible_current_positions(\ArrayType\DutchBusinessAdditionalPositionArray $possible_current_positions = null)
    {
        $this->possible_current_positions = $possible_current_positions;
        return $this;
    }
    /**
     * Get possible_previous_positions value
     * @return \ArrayType\DutchBusinessAdditionalPositionArray|null
     */
    public function getPossible_previous_positions()
    {
        return $this->possible_previous_positions;
    }
    /**
     * Set possible_previous_positions value
     * @param \ArrayType\DutchBusinessAdditionalPositionArray $possible_previous_positions
     * @return \StructType\DutchBusinessGetAdditionalPositionsResult
     */
    public function setPossible_previous_positions(\ArrayType\DutchBusinessAdditionalPositionArray $possible_previous_positions = null)
    {
        $this->possible_previous_positions = $possible_previous_positions;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DutchBusinessGetAdditionalPositionsResult
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
