<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dutchBusinessLookALikesRequestType StructType
 * @subpackage Structs
 */
class DutchBusinessLookALikesRequestType extends AbstractStructBase
{
    /**
     * The dossier_number
     * @var string
     */
    public $dossier_number;
    /**
     * The geo_weight
     * @var float
     */
    public $geo_weight;
    /**
     * The nr_employees_weight
     * @var float
     */
    public $nr_employees_weight;
    /**
     * The sbi_weight
     * @var float
     */
    public $sbi_weight;
    /**
     * The web_weight
     * @var float
     */
    public $web_weight;
    /**
     * The page
     * @var int
     */
    public $page;
    /**
     * Constructor method for dutchBusinessLookALikesRequestType
     * @uses DutchBusinessLookALikesRequestType::setDossier_number()
     * @uses DutchBusinessLookALikesRequestType::setGeo_weight()
     * @uses DutchBusinessLookALikesRequestType::setNr_employees_weight()
     * @uses DutchBusinessLookALikesRequestType::setSbi_weight()
     * @uses DutchBusinessLookALikesRequestType::setWeb_weight()
     * @uses DutchBusinessLookALikesRequestType::setPage()
     * @param string $dossier_number
     * @param float $geo_weight
     * @param float $nr_employees_weight
     * @param float $sbi_weight
     * @param float $web_weight
     * @param int $page
     */
    public function __construct($dossier_number = null, $geo_weight = null, $nr_employees_weight = null, $sbi_weight = null, $web_weight = null, $page = null)
    {
        $this
            ->setDossier_number($dossier_number)
            ->setGeo_weight($geo_weight)
            ->setNr_employees_weight($nr_employees_weight)
            ->setSbi_weight($sbi_weight)
            ->setWeb_weight($web_weight)
            ->setPage($page);
    }
    /**
     * Get dossier_number value
     * @return string|null
     */
    public function getDossier_number()
    {
        return $this->dossier_number;
    }
    /**
     * Set dossier_number value
     * @param string $dossier_number
     * @return \StructType\DutchBusinessLookALikesRequestType
     */
    public function setDossier_number($dossier_number = null)
    {
        // validation for constraint: string
        if (!is_null($dossier_number) && !is_string($dossier_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dossier_number, true), gettype($dossier_number)), __LINE__);
        }
        $this->dossier_number = $dossier_number;
        return $this;
    }
    /**
     * Get geo_weight value
     * @return float|null
     */
    public function getGeo_weight()
    {
        return $this->geo_weight;
    }
    /**
     * Set geo_weight value
     * @param float $geo_weight
     * @return \StructType\DutchBusinessLookALikesRequestType
     */
    public function setGeo_weight($geo_weight = null)
    {
        // validation for constraint: float
        if (!is_null($geo_weight) && !(is_float($geo_weight) || is_numeric($geo_weight))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($geo_weight, true), gettype($geo_weight)), __LINE__);
        }
        $this->geo_weight = $geo_weight;
        return $this;
    }
    /**
     * Get nr_employees_weight value
     * @return float|null
     */
    public function getNr_employees_weight()
    {
        return $this->nr_employees_weight;
    }
    /**
     * Set nr_employees_weight value
     * @param float $nr_employees_weight
     * @return \StructType\DutchBusinessLookALikesRequestType
     */
    public function setNr_employees_weight($nr_employees_weight = null)
    {
        // validation for constraint: float
        if (!is_null($nr_employees_weight) && !(is_float($nr_employees_weight) || is_numeric($nr_employees_weight))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($nr_employees_weight, true), gettype($nr_employees_weight)), __LINE__);
        }
        $this->nr_employees_weight = $nr_employees_weight;
        return $this;
    }
    /**
     * Get sbi_weight value
     * @return float|null
     */
    public function getSbi_weight()
    {
        return $this->sbi_weight;
    }
    /**
     * Set sbi_weight value
     * @param float $sbi_weight
     * @return \StructType\DutchBusinessLookALikesRequestType
     */
    public function setSbi_weight($sbi_weight = null)
    {
        // validation for constraint: float
        if (!is_null($sbi_weight) && !(is_float($sbi_weight) || is_numeric($sbi_weight))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($sbi_weight, true), gettype($sbi_weight)), __LINE__);
        }
        $this->sbi_weight = $sbi_weight;
        return $this;
    }
    /**
     * Get web_weight value
     * @return float|null
     */
    public function getWeb_weight()
    {
        return $this->web_weight;
    }
    /**
     * Set web_weight value
     * @param float $web_weight
     * @return \StructType\DutchBusinessLookALikesRequestType
     */
    public function setWeb_weight($web_weight = null)
    {
        // validation for constraint: float
        if (!is_null($web_weight) && !(is_float($web_weight) || is_numeric($web_weight))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($web_weight, true), gettype($web_weight)), __LINE__);
        }
        $this->web_weight = $web_weight;
        return $this;
    }
    /**
     * Get page value
     * @return int|null
     */
    public function getPage()
    {
        return $this->page;
    }
    /**
     * Set page value
     * @param int $page
     * @return \StructType\DutchBusinessLookALikesRequestType
     */
    public function setPage($page = null)
    {
        // validation for constraint: int
        if (!is_null($page) && !(is_int($page) || ctype_digit($page))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($page, true), gettype($page)), __LINE__);
        }
        $this->page = $page;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DutchBusinessLookALikesRequestType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
