<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessSBICollection StructType
 * @subpackage Structs
 */
class DutchBusinessSBICollection extends AbstractStructBase
{
    /**
     * The original
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \ArrayType\DutchBusinessSBICodeArray
     */
    public $original;
    /**
     * The company_info
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\DutchBusinessSBICodeArray
     */
    public $company_info;
    /**
     * Constructor method for DutchBusinessSBICollection
     * @uses DutchBusinessSBICollection::setOriginal()
     * @uses DutchBusinessSBICollection::setCompany_info()
     * @param \ArrayType\DutchBusinessSBICodeArray $original
     * @param \ArrayType\DutchBusinessSBICodeArray $company_info
     */
    public function __construct(\ArrayType\DutchBusinessSBICodeArray $original = null, \ArrayType\DutchBusinessSBICodeArray $company_info = null)
    {
        $this
            ->setOriginal($original)
            ->setCompany_info($company_info);
    }
    /**
     * Get original value
     * @return \ArrayType\DutchBusinessSBICodeArray
     */
    public function getOriginal()
    {
        return $this->original;
    }
    /**
     * Set original value
     * @param \ArrayType\DutchBusinessSBICodeArray $original
     * @return \StructType\DutchBusinessSBICollection
     */
    public function setOriginal(\ArrayType\DutchBusinessSBICodeArray $original = null)
    {
        $this->original = $original;
        return $this;
    }
    /**
     * Get company_info value
     * @return \ArrayType\DutchBusinessSBICodeArray|null
     */
    public function getCompany_info()
    {
        return $this->company_info;
    }
    /**
     * Set company_info value
     * @param \ArrayType\DutchBusinessSBICodeArray $company_info
     * @return \StructType\DutchBusinessSBICollection
     */
    public function setCompany_info(\ArrayType\DutchBusinessSBICodeArray $company_info = null)
    {
        $this->company_info = $company_info;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DutchBusinessSBICollection
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
