<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dutchBusinessUpdateGetOverviewRequestType StructType
 * @subpackage Structs
 */
class DutchBusinessUpdateGetOverviewRequestType extends AbstractStructBase
{
    /**
     * The page
     * @var int
     */
    public $page;
    /**
     * Constructor method for dutchBusinessUpdateGetOverviewRequestType
     * @uses DutchBusinessUpdateGetOverviewRequestType::setPage()
     * @param int $page
     */
    public function __construct($page = null)
    {
        $this
            ->setPage($page);
    }
    /**
     * Get page value
     * @return int|null
     */
    public function getPage()
    {
        return $this->page;
    }
    /**
     * Set page value
     * @param int $page
     * @return \StructType\DutchBusinessUpdateGetOverviewRequestType
     */
    public function setPage($page = null)
    {
        // validation for constraint: int
        if (!is_null($page) && !(is_int($page) || ctype_digit($page))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($page, true), gettype($page)), __LINE__);
        }
        $this->page = $page;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DutchBusinessUpdateGetOverviewRequestType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
