<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationNeighborhoodCoordinatesRDResponseType
 * StructType
 * @subpackage Structs
 */
class GeoLocationNeighborhoodCoordinatesRDResponseType extends AbstractStructBase
{
    /**
     * The coordinates
     * @var \StructType\RDCoordinates
     */
    public $coordinates;
    /**
     * Constructor method for geoLocationNeighborhoodCoordinatesRDResponseType
     * @uses GeoLocationNeighborhoodCoordinatesRDResponseType::setCoordinates()
     * @param \StructType\RDCoordinates $coordinates
     */
    public function __construct(\StructType\RDCoordinates $coordinates = null)
    {
        $this
            ->setCoordinates($coordinates);
    }
    /**
     * Get coordinates value
     * @return \StructType\RDCoordinates|null
     */
    public function getCoordinates()
    {
        return $this->coordinates;
    }
    /**
     * Set coordinates value
     * @param \StructType\RDCoordinates $coordinates
     * @return \StructType\GeoLocationNeighborhoodCoordinatesRDResponseType
     */
    public function setCoordinates(\StructType\RDCoordinates $coordinates = null)
    {
        $this->coordinates = $coordinates;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GeoLocationNeighborhoodCoordinatesRDResponseType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
