<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PRBeperkingenKadastraalObject StructType
 * @subpackage Structs
 */
class PRBeperkingenKadastraalObject extends AbstractStructBase
{
    /**
     * The pr_beperkingen_lijst
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PRBeperkingLijst
     */
    public $pr_beperkingen_lijst;
    /**
     * The melding
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $melding;
    /**
     * Constructor method for PRBeperkingenKadastraalObject
     * @uses PRBeperkingenKadastraalObject::setPr_beperkingen_lijst()
     * @uses PRBeperkingenKadastraalObject::setMelding()
     * @param \StructType\PRBeperkingLijst $pr_beperkingen_lijst
     * @param string $melding
     */
    public function __construct(\StructType\PRBeperkingLijst $pr_beperkingen_lijst = null, $melding = null)
    {
        $this
            ->setPr_beperkingen_lijst($pr_beperkingen_lijst)
            ->setMelding($melding);
    }
    /**
     * Get pr_beperkingen_lijst value
     * @return \StructType\PRBeperkingLijst|null
     */
    public function getPr_beperkingen_lijst()
    {
        return $this->pr_beperkingen_lijst;
    }
    /**
     * Set pr_beperkingen_lijst value
     * @param \StructType\PRBeperkingLijst $pr_beperkingen_lijst
     * @return \StructType\PRBeperkingenKadastraalObject
     */
    public function setPr_beperkingen_lijst(\StructType\PRBeperkingLijst $pr_beperkingen_lijst = null)
    {
        $this->pr_beperkingen_lijst = $pr_beperkingen_lijst;
        return $this;
    }
    /**
     * Get melding value
     * @return string|null
     */
    public function getMelding()
    {
        return $this->melding;
    }
    /**
     * Set melding value
     * @param string $melding
     * @return \StructType\PRBeperkingenKadastraalObject
     */
    public function setMelding($melding = null)
    {
        // validation for constraint: string
        if (!is_null($melding) && !is_string($melding)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($melding, true), gettype($melding)), __LINE__);
        }
        $this->melding = $melding;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PRBeperkingenKadastraalObject
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
