<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for routePlannerInformationAddressResponseType StructType
 * @subpackage Structs
 */
class RoutePlannerInformationAddressResponseType extends AbstractStructBase
{
    /**
     * The route
     * @var \StructType\RouteInfo
     */
    public $route;
    /**
     * Constructor method for routePlannerInformationAddressResponseType
     * @uses RoutePlannerInformationAddressResponseType::setRoute()
     * @param \StructType\RouteInfo $route
     */
    public function __construct(\StructType\RouteInfo $route = null)
    {
        $this
            ->setRoute($route);
    }
    /**
     * Get route value
     * @return \StructType\RouteInfo|null
     */
    public function getRoute()
    {
        return $this->route;
    }
    /**
     * Set route value
     * @param \StructType\RouteInfo $route
     * @return \StructType\RoutePlannerInformationAddressResponseType
     */
    public function setRoute(\StructType\RouteInfo $route = null)
    {
        $this->route = $route;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RoutePlannerInformationAddressResponseType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
