<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyAdditionalInformationDEOwnerV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationDEOwnerV2 extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The city
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $city;
    /**
     * The postal_code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $postal_code;
    /**
     * The country
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $country;
    /**
     * The share_percent
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $share_percent;
    /**
     * Constructor method for CreditsafeCompanyAdditionalInformationDEOwnerV2
     * @uses CreditsafeCompanyAdditionalInformationDEOwnerV2::setName()
     * @uses CreditsafeCompanyAdditionalInformationDEOwnerV2::setCity()
     * @uses CreditsafeCompanyAdditionalInformationDEOwnerV2::setPostal_code()
     * @uses CreditsafeCompanyAdditionalInformationDEOwnerV2::setCountry()
     * @uses CreditsafeCompanyAdditionalInformationDEOwnerV2::setShare_percent()
     * @param string $name
     * @param string $city
     * @param string $postal_code
     * @param string $country
     * @param string $share_percent
     */
    public function __construct($name = null, $city = null, $postal_code = null, $country = null, $share_percent = null)
    {
        $this
            ->setName($name)
            ->setCity($city)
            ->setPostal_code($postal_code)
            ->setCountry($country)
            ->setShare_percent($share_percent);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get city value
     * @return string|null
     */
    public function getCity()
    {
        return $this->city;
    }
    /**
     * Set city value
     * @param string $city
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2
     */
    public function setCity($city = null)
    {
        // validation for constraint: string
        if (!is_null($city) && !is_string($city)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($city, true), gettype($city)), __LINE__);
        }
        $this->city = $city;
        return $this;
    }
    /**
     * Get postal_code value
     * @return string|null
     */
    public function getPostal_code()
    {
        return $this->postal_code;
    }
    /**
     * Set postal_code value
     * @param string $postal_code
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2
     */
    public function setPostal_code($postal_code = null)
    {
        // validation for constraint: string
        if (!is_null($postal_code) && !is_string($postal_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($postal_code, true), gettype($postal_code)), __LINE__);
        }
        $this->postal_code = $postal_code;
        return $this;
    }
    /**
     * Get country value
     * @return string|null
     */
    public function getCountry()
    {
        return $this->country;
    }
    /**
     * Set country value
     * @param string $country
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2
     */
    public function setCountry($country = null)
    {
        // validation for constraint: string
        if (!is_null($country) && !is_string($country)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($country, true), gettype($country)), __LINE__);
        }
        $this->country = $country;
        return $this;
    }
    /**
     * Get share_percent value
     * @return string|null
     */
    public function getShare_percent()
    {
        return $this->share_percent;
    }
    /**
     * Set share_percent value
     * @param string $share_percent
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2
     */
    public function setShare_percent($share_percent = null)
    {
        // validation for constraint: string
        if (!is_null($share_percent) && !is_string($share_percent)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($share_percent, true), gettype($share_percent)), __LINE__);
        }
        $this->share_percent = $share_percent;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEOwnerV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
