<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyReportFullV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyReportFullV2 extends AbstractStructBase
{
    /**
     * The additional_information
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyAdditionalInformationV2
     */
    public $additional_information;
    /**
     * The company_identification
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyIdentificationV2
     */
    public $company_identification;
    /**
     * The company_summary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanySummaryV2
     */
    public $company_summary;
    /**
     * The contact_information
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyContactInformationV2
     */
    public $contact_information;
    /**
     * The credit_score
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyCreditScoreV2
     */
    public $credit_score;
    /**
     * The directors
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafePersonDirectorsV2
     */
    public $directors;
    /**
     * The financial_statements
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyFinancialStatementV2Array
     */
    public $financial_statements;
    /**
     * The group_structure
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyGroupStructureV2
     */
    public $group_structure;
    /**
     * The local_financial_statements
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyFinancialStatementV2Array
     */
    public $local_financial_statements;
    /**
     * The negative_information
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyNegativeInformationV2
     */
    public $negative_information;
    /**
     * The order_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $order_number;
    /**
     * The other_information
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyOtherInformationV2
     */
    public $other_information;
    /**
     * The share_capital_structure
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyShareCapitalStructureV2
     */
    public $share_capital_structure;
    /**
     * The payment_data
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyPaymentDataV2
     */
    public $payment_data;
    /**
     * The company_id
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $company_id;
    /**
     * The language
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $language;
    /**
     * Constructor method for CreditsafeCompanyReportFullV2
     * @uses CreditsafeCompanyReportFullV2::setAdditional_information()
     * @uses CreditsafeCompanyReportFullV2::setCompany_identification()
     * @uses CreditsafeCompanyReportFullV2::setCompany_summary()
     * @uses CreditsafeCompanyReportFullV2::setContact_information()
     * @uses CreditsafeCompanyReportFullV2::setCredit_score()
     * @uses CreditsafeCompanyReportFullV2::setDirectors()
     * @uses CreditsafeCompanyReportFullV2::setFinancial_statements()
     * @uses CreditsafeCompanyReportFullV2::setGroup_structure()
     * @uses CreditsafeCompanyReportFullV2::setLocal_financial_statements()
     * @uses CreditsafeCompanyReportFullV2::setNegative_information()
     * @uses CreditsafeCompanyReportFullV2::setOrder_number()
     * @uses CreditsafeCompanyReportFullV2::setOther_information()
     * @uses CreditsafeCompanyReportFullV2::setShare_capital_structure()
     * @uses CreditsafeCompanyReportFullV2::setPayment_data()
     * @uses CreditsafeCompanyReportFullV2::setCompany_id()
     * @uses CreditsafeCompanyReportFullV2::setLanguage()
     * @param \StructType\CreditsafeCompanyAdditionalInformationV2 $additional_information
     * @param \StructType\CreditsafeCompanyIdentificationV2 $company_identification
     * @param \StructType\CreditsafeCompanySummaryV2 $company_summary
     * @param \StructType\CreditsafeCompanyContactInformationV2 $contact_information
     * @param \StructType\CreditsafeCompanyCreditScoreV2 $credit_score
     * @param \StructType\CreditsafePersonDirectorsV2 $directors
     * @param \ArrayType\CreditsafeCompanyFinancialStatementV2Array $financial_statements
     * @param \StructType\CreditsafeCompanyGroupStructureV2 $group_structure
     * @param \ArrayType\CreditsafeCompanyFinancialStatementV2Array $local_financial_statements
     * @param \StructType\CreditsafeCompanyNegativeInformationV2 $negative_information
     * @param string $order_number
     * @param \StructType\CreditsafeCompanyOtherInformationV2 $other_information
     * @param \StructType\CreditsafeCompanyShareCapitalStructureV2 $share_capital_structure
     * @param \StructType\CreditsafeCompanyPaymentDataV2 $payment_data
     * @param string $company_id
     * @param string $language
     */
    public function __construct(\StructType\CreditsafeCompanyAdditionalInformationV2 $additional_information = null, \StructType\CreditsafeCompanyIdentificationV2 $company_identification = null, \StructType\CreditsafeCompanySummaryV2 $company_summary = null, \StructType\CreditsafeCompanyContactInformationV2 $contact_information = null, \StructType\CreditsafeCompanyCreditScoreV2 $credit_score = null, \StructType\CreditsafePersonDirectorsV2 $directors = null, \ArrayType\CreditsafeCompanyFinancialStatementV2Array $financial_statements = null, \StructType\CreditsafeCompanyGroupStructureV2 $group_structure = null, \ArrayType\CreditsafeCompanyFinancialStatementV2Array $local_financial_statements = null, \StructType\CreditsafeCompanyNegativeInformationV2 $negative_information = null, $order_number = null, \StructType\CreditsafeCompanyOtherInformationV2 $other_information = null, \StructType\CreditsafeCompanyShareCapitalStructureV2 $share_capital_structure = null, \StructType\CreditsafeCompanyPaymentDataV2 $payment_data = null, $company_id = null, $language = null)
    {
        $this
            ->setAdditional_information($additional_information)
            ->setCompany_identification($company_identification)
            ->setCompany_summary($company_summary)
            ->setContact_information($contact_information)
            ->setCredit_score($credit_score)
            ->setDirectors($directors)
            ->setFinancial_statements($financial_statements)
            ->setGroup_structure($group_structure)
            ->setLocal_financial_statements($local_financial_statements)
            ->setNegative_information($negative_information)
            ->setOrder_number($order_number)
            ->setOther_information($other_information)
            ->setShare_capital_structure($share_capital_structure)
            ->setPayment_data($payment_data)
            ->setCompany_id($company_id)
            ->setLanguage($language);
    }
    /**
     * Get additional_information value
     * @return \StructType\CreditsafeCompanyAdditionalInformationV2|null
     */
    public function getAdditional_information()
    {
        return $this->additional_information;
    }
    /**
     * Set additional_information value
     * @param \StructType\CreditsafeCompanyAdditionalInformationV2 $additional_information
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setAdditional_information(\StructType\CreditsafeCompanyAdditionalInformationV2 $additional_information = null)
    {
        $this->additional_information = $additional_information;
        return $this;
    }
    /**
     * Get company_identification value
     * @return \StructType\CreditsafeCompanyIdentificationV2|null
     */
    public function getCompany_identification()
    {
        return $this->company_identification;
    }
    /**
     * Set company_identification value
     * @param \StructType\CreditsafeCompanyIdentificationV2 $company_identification
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setCompany_identification(\StructType\CreditsafeCompanyIdentificationV2 $company_identification = null)
    {
        $this->company_identification = $company_identification;
        return $this;
    }
    /**
     * Get company_summary value
     * @return \StructType\CreditsafeCompanySummaryV2|null
     */
    public function getCompany_summary()
    {
        return $this->company_summary;
    }
    /**
     * Set company_summary value
     * @param \StructType\CreditsafeCompanySummaryV2 $company_summary
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setCompany_summary(\StructType\CreditsafeCompanySummaryV2 $company_summary = null)
    {
        $this->company_summary = $company_summary;
        return $this;
    }
    /**
     * Get contact_information value
     * @return \StructType\CreditsafeCompanyContactInformationV2|null
     */
    public function getContact_information()
    {
        return $this->contact_information;
    }
    /**
     * Set contact_information value
     * @param \StructType\CreditsafeCompanyContactInformationV2 $contact_information
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setContact_information(\StructType\CreditsafeCompanyContactInformationV2 $contact_information = null)
    {
        $this->contact_information = $contact_information;
        return $this;
    }
    /**
     * Get credit_score value
     * @return \StructType\CreditsafeCompanyCreditScoreV2|null
     */
    public function getCredit_score()
    {
        return $this->credit_score;
    }
    /**
     * Set credit_score value
     * @param \StructType\CreditsafeCompanyCreditScoreV2 $credit_score
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setCredit_score(\StructType\CreditsafeCompanyCreditScoreV2 $credit_score = null)
    {
        $this->credit_score = $credit_score;
        return $this;
    }
    /**
     * Get directors value
     * @return \StructType\CreditsafePersonDirectorsV2|null
     */
    public function getDirectors()
    {
        return $this->directors;
    }
    /**
     * Set directors value
     * @param \StructType\CreditsafePersonDirectorsV2 $directors
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setDirectors(\StructType\CreditsafePersonDirectorsV2 $directors = null)
    {
        $this->directors = $directors;
        return $this;
    }
    /**
     * Get financial_statements value
     * @return \ArrayType\CreditsafeCompanyFinancialStatementV2Array|null
     */
    public function getFinancial_statements()
    {
        return $this->financial_statements;
    }
    /**
     * Set financial_statements value
     * @param \ArrayType\CreditsafeCompanyFinancialStatementV2Array $financial_statements
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setFinancial_statements(\ArrayType\CreditsafeCompanyFinancialStatementV2Array $financial_statements = null)
    {
        $this->financial_statements = $financial_statements;
        return $this;
    }
    /**
     * Get group_structure value
     * @return \StructType\CreditsafeCompanyGroupStructureV2|null
     */
    public function getGroup_structure()
    {
        return $this->group_structure;
    }
    /**
     * Set group_structure value
     * @param \StructType\CreditsafeCompanyGroupStructureV2 $group_structure
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setGroup_structure(\StructType\CreditsafeCompanyGroupStructureV2 $group_structure = null)
    {
        $this->group_structure = $group_structure;
        return $this;
    }
    /**
     * Get local_financial_statements value
     * @return \ArrayType\CreditsafeCompanyFinancialStatementV2Array|null
     */
    public function getLocal_financial_statements()
    {
        return $this->local_financial_statements;
    }
    /**
     * Set local_financial_statements value
     * @param \ArrayType\CreditsafeCompanyFinancialStatementV2Array $local_financial_statements
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setLocal_financial_statements(\ArrayType\CreditsafeCompanyFinancialStatementV2Array $local_financial_statements = null)
    {
        $this->local_financial_statements = $local_financial_statements;
        return $this;
    }
    /**
     * Get negative_information value
     * @return \StructType\CreditsafeCompanyNegativeInformationV2|null
     */
    public function getNegative_information()
    {
        return $this->negative_information;
    }
    /**
     * Set negative_information value
     * @param \StructType\CreditsafeCompanyNegativeInformationV2 $negative_information
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setNegative_information(\StructType\CreditsafeCompanyNegativeInformationV2 $negative_information = null)
    {
        $this->negative_information = $negative_information;
        return $this;
    }
    /**
     * Get order_number value
     * @return string|null
     */
    public function getOrder_number()
    {
        return $this->order_number;
    }
    /**
     * Set order_number value
     * @param string $order_number
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setOrder_number($order_number = null)
    {
        // validation for constraint: string
        if (!is_null($order_number) && !is_string($order_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($order_number, true), gettype($order_number)), __LINE__);
        }
        $this->order_number = $order_number;
        return $this;
    }
    /**
     * Get other_information value
     * @return \StructType\CreditsafeCompanyOtherInformationV2|null
     */
    public function getOther_information()
    {
        return $this->other_information;
    }
    /**
     * Set other_information value
     * @param \StructType\CreditsafeCompanyOtherInformationV2 $other_information
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setOther_information(\StructType\CreditsafeCompanyOtherInformationV2 $other_information = null)
    {
        $this->other_information = $other_information;
        return $this;
    }
    /**
     * Get share_capital_structure value
     * @return \StructType\CreditsafeCompanyShareCapitalStructureV2|null
     */
    public function getShare_capital_structure()
    {
        return $this->share_capital_structure;
    }
    /**
     * Set share_capital_structure value
     * @param \StructType\CreditsafeCompanyShareCapitalStructureV2 $share_capital_structure
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setShare_capital_structure(\StructType\CreditsafeCompanyShareCapitalStructureV2 $share_capital_structure = null)
    {
        $this->share_capital_structure = $share_capital_structure;
        return $this;
    }
    /**
     * Get payment_data value
     * @return \StructType\CreditsafeCompanyPaymentDataV2|null
     */
    public function getPayment_data()
    {
        return $this->payment_data;
    }
    /**
     * Set payment_data value
     * @param \StructType\CreditsafeCompanyPaymentDataV2 $payment_data
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setPayment_data(\StructType\CreditsafeCompanyPaymentDataV2 $payment_data = null)
    {
        $this->payment_data = $payment_data;
        return $this;
    }
    /**
     * Get company_id value
     * @return string|null
     */
    public function getCompany_id()
    {
        return $this->company_id;
    }
    /**
     * Set company_id value
     * @param string $company_id
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setCompany_id($company_id = null)
    {
        // validation for constraint: string
        if (!is_null($company_id) && !is_string($company_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($company_id, true), gettype($company_id)), __LINE__);
        }
        $this->company_id = $company_id;
        return $this;
    }
    /**
     * Get language value
     * @return string|null
     */
    public function getLanguage()
    {
        return $this->language;
    }
    /**
     * Set language value
     * @param string $language
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public function setLanguage($language = null)
    {
        // validation for constraint: string
        if (!is_null($language) && !is_string($language)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($language, true), gettype($language)), __LINE__);
        }
        $this->language = $language;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\CreditsafeCompanyReportFullV2
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
