<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessFormattedAddress StructType
 * @subpackage Structs
 */
class DutchBusinessFormattedAddress extends AbstractStructBase
{
    /**
     * The original
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\DutchBusinessAddressV3
     */
    public $original;
    /**
     * The official
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\DutchBusinessAddressV3
     */
    public $official;
    /**
     * The formatted
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\DutchBusinessAddressV3
     */
    public $formatted;
    /**
     * Constructor method for DutchBusinessFormattedAddress
     * @uses DutchBusinessFormattedAddress::setOriginal()
     * @uses DutchBusinessFormattedAddress::setOfficial()
     * @uses DutchBusinessFormattedAddress::setFormatted()
     * @param \StructType\DutchBusinessAddressV3 $original
     * @param \StructType\DutchBusinessAddressV3 $official
     * @param \StructType\DutchBusinessAddressV3 $formatted
     */
    public function __construct(\StructType\DutchBusinessAddressV3 $original = null, \StructType\DutchBusinessAddressV3 $official = null, \StructType\DutchBusinessAddressV3 $formatted = null)
    {
        $this
            ->setOriginal($original)
            ->setOfficial($official)
            ->setFormatted($formatted);
    }
    /**
     * Get original value
     * @return \StructType\DutchBusinessAddressV3|null
     */
    public function getOriginal()
    {
        return $this->original;
    }
    /**
     * Set original value
     * @param \StructType\DutchBusinessAddressV3 $original
     * @return \StructType\DutchBusinessFormattedAddress
     */
    public function setOriginal(\StructType\DutchBusinessAddressV3 $original = null)
    {
        $this->original = $original;
        return $this;
    }
    /**
     * Get official value
     * @return \StructType\DutchBusinessAddressV3|null
     */
    public function getOfficial()
    {
        return $this->official;
    }
    /**
     * Set official value
     * @param \StructType\DutchBusinessAddressV3 $official
     * @return \StructType\DutchBusinessFormattedAddress
     */
    public function setOfficial(\StructType\DutchBusinessAddressV3 $official = null)
    {
        $this->official = $official;
        return $this;
    }
    /**
     * Get formatted value
     * @return \StructType\DutchBusinessAddressV3|null
     */
    public function getFormatted()
    {
        return $this->formatted;
    }
    /**
     * Set formatted value
     * @param \StructType\DutchBusinessAddressV3 $formatted
     * @return \StructType\DutchBusinessFormattedAddress
     */
    public function setFormatted(\StructType\DutchBusinessAddressV3 $formatted = null)
    {
        $this->formatted = $formatted;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DutchBusinessFormattedAddress
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
