<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessGetConcernRelationsDetailsGraphLink
 * StructType
 * @subpackage Structs
 */
class DutchBusinessGetConcernRelationsDetailsGraphLink extends AbstractStructBase
{
    /**
     * The source
     * @var string
     */
    public $source;
    /**
     * The target
     * @var string
     */
    public $target;
    /**
     * The type
     * @var string
     */
    public $type;
    /**
     * Constructor method for DutchBusinessGetConcernRelationsDetailsGraphLink
     * @uses DutchBusinessGetConcernRelationsDetailsGraphLink::setSource()
     * @uses DutchBusinessGetConcernRelationsDetailsGraphLink::setTarget()
     * @uses DutchBusinessGetConcernRelationsDetailsGraphLink::setType()
     * @param string $source
     * @param string $target
     * @param string $type
     */
    public function __construct($source = null, $target = null, $type = null)
    {
        $this
            ->setSource($source)
            ->setTarget($target)
            ->setType($type);
    }
    /**
     * Get source value
     * @return string|null
     */
    public function getSource()
    {
        return $this->source;
    }
    /**
     * Set source value
     * @param string $source
     * @return \StructType\DutchBusinessGetConcernRelationsDetailsGraphLink
     */
    public function setSource($source = null)
    {
        // validation for constraint: string
        if (!is_null($source) && !is_string($source)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($source, true), gettype($source)), __LINE__);
        }
        $this->source = $source;
        return $this;
    }
    /**
     * Get target value
     * @return string|null
     */
    public function getTarget()
    {
        return $this->target;
    }
    /**
     * Set target value
     * @param string $target
     * @return \StructType\DutchBusinessGetConcernRelationsDetailsGraphLink
     */
    public function setTarget($target = null)
    {
        // validation for constraint: string
        if (!is_null($target) && !is_string($target)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($target, true), gettype($target)), __LINE__);
        }
        $this->target = $target;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \StructType\DutchBusinessGetConcernRelationsDetailsGraphLink
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DutchBusinessGetConcernRelationsDetailsGraphLink
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
