<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessLeiLegalForm StructType
 * @subpackage Structs
 */
class DutchBusinessLeiLegalForm extends AbstractStructBase
{
    /**
     * The legal_form_code
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $legal_form_code;
    /**
     * Constructor method for DutchBusinessLeiLegalForm
     * @uses DutchBusinessLeiLegalForm::setLegal_form_code()
     * @param string $legal_form_code
     */
    public function __construct($legal_form_code = null)
    {
        $this
            ->setLegal_form_code($legal_form_code);
    }
    /**
     * Get legal_form_code value
     * @return string
     */
    public function getLegal_form_code()
    {
        return $this->legal_form_code;
    }
    /**
     * Set legal_form_code value
     * @param string $legal_form_code
     * @return \StructType\DutchBusinessLeiLegalForm
     */
    public function setLegal_form_code($legal_form_code = null)
    {
        // validation for constraint: string
        if (!is_null($legal_form_code) && !is_string($legal_form_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($legal_form_code, true), gettype($legal_form_code)), __LINE__);
        }
        $this->legal_form_code = $legal_form_code;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DutchBusinessLeiLegalForm
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
