<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationDistanceSortedNeighborhoodCodesResponseType
 * StructType
 * @subpackage Structs
 */
class GeoLocationDistanceSortedNeighborhoodCodesResponseType extends AbstractStructBase
{
    /**
     * The nbcodes
     * @var \ArrayType\SortedPostcodeArray
     */
    public $nbcodes;
    /**
     * Constructor method for geoLocationDistanceSortedNeighborhoodCodesResponseType
     * @uses GeoLocationDistanceSortedNeighborhoodCodesResponseType::setNbcodes()
     * @param \ArrayType\SortedPostcodeArray $nbcodes
     */
    public function __construct(\ArrayType\SortedPostcodeArray $nbcodes = null)
    {
        $this
            ->setNbcodes($nbcodes);
    }
    /**
     * Get nbcodes value
     * @return \ArrayType\SortedPostcodeArray|null
     */
    public function getNbcodes()
    {
        return $this->nbcodes;
    }
    /**
     * Set nbcodes value
     * @param \ArrayType\SortedPostcodeArray $nbcodes
     * @return \StructType\GeoLocationDistanceSortedNeighborhoodCodesResponseType
     */
    public function setNbcodes(\ArrayType\SortedPostcodeArray $nbcodes = null)
    {
        $this->nbcodes = $nbcodes;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GeoLocationDistanceSortedNeighborhoodCodesResponseType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
