<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationDistanceSortedPostcodesResponseType StructType
 * @subpackage Structs
 */
class GeoLocationDistanceSortedPostcodesResponseType extends AbstractStructBase
{
    /**
     * The postcodes
     * @var \ArrayType\SortedPostcodeArray
     */
    public $postcodes;
    /**
     * Constructor method for geoLocationDistanceSortedPostcodesResponseType
     * @uses GeoLocationDistanceSortedPostcodesResponseType::setPostcodes()
     * @param \ArrayType\SortedPostcodeArray $postcodes
     */
    public function __construct(\ArrayType\SortedPostcodeArray $postcodes = null)
    {
        $this
            ->setPostcodes($postcodes);
    }
    /**
     * Get postcodes value
     * @return \ArrayType\SortedPostcodeArray|null
     */
    public function getPostcodes()
    {
        return $this->postcodes;
    }
    /**
     * Set postcodes value
     * @param \ArrayType\SortedPostcodeArray $postcodes
     * @return \StructType\GeoLocationDistanceSortedPostcodesResponseType
     */
    public function setPostcodes(\ArrayType\SortedPostcodeArray $postcodes = null)
    {
        $this->postcodes = $postcodes;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\GeoLocationDistanceSortedPostcodesResponseType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
