<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kadasterV2GetKadastraalBerichtObjectByObjectIdResponseType
 * StructType
 * @subpackage Structs
 */
class KadasterV2GetKadastraalBerichtObjectByObjectIdResponseType extends AbstractStructBase
{
    /**
     * The resultaat
     * @var \StructType\KadasterV2KadastraalBerichtResponse
     */
    public $resultaat;
    /**
     * Constructor method for
     * kadasterV2GetKadastraalBerichtObjectByObjectIdResponseType
     * @uses KadasterV2GetKadastraalBerichtObjectByObjectIdResponseType::setResultaat()
     * @param \StructType\KadasterV2KadastraalBerichtResponse $resultaat
     */
    public function __construct(\StructType\KadasterV2KadastraalBerichtResponse $resultaat = null)
    {
        $this
            ->setResultaat($resultaat);
    }
    /**
     * Get resultaat value
     * @return \StructType\KadasterV2KadastraalBerichtResponse|null
     */
    public function getResultaat()
    {
        return $this->resultaat;
    }
    /**
     * Set resultaat value
     * @param \StructType\KadasterV2KadastraalBerichtResponse $resultaat
     * @return \StructType\KadasterV2GetKadastraalBerichtObjectByObjectIdResponseType
     */
    public function setResultaat(\StructType\KadasterV2KadastraalBerichtResponse $resultaat = null)
    {
        $this->resultaat = $resultaat;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KadasterV2GetKadastraalBerichtObjectByObjectIdResponseType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
