<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NbwoWaarde StructType
 * @subpackage Structs
 */
class NbwoWaarde extends AbstractStructBase
{
    /**
     * The waarde
     * @var int
     */
    public $waarde;
    /**
     * The betrouwbaarheid
     * @var string
     */
    public $betrouwbaarheid;
    /**
     * The datum_waardebepaling
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $datum_waardebepaling;
    /**
     * The cultuurcode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $cultuurcode;
    /**
     * The woningtype
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $woningtype;
    /**
     * The prijspeil_datum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $prijspeil_datum;
    /**
     * The straat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $straat;
    /**
     * The huisnummer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $huisnummer;
    /**
     * The huisnummer_toevoeging
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $huisnummer_toevoeging;
    /**
     * The postcode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $postcode;
    /**
     * The plaats
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $plaats;
    /**
     * The oppervlak
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $oppervlak;
    /**
     * The inhoud
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $inhoud;
    /**
     * The bouwjaar
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $bouwjaar;
    /**
     * The grootte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $grootte;
    /**
     * The garage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $garage;
    /**
     * The tuin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $tuin;
    /**
     * The monument
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $monument;
    /**
     * The schuur
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $schuur;
    /**
     * The postcode_model_resultaat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\NbwoPostcodeStraatModelResultaat
     */
    public $postcode_model_resultaat;
    /**
     * The straat_model_resultaat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\NbwoPostcodeStraatModelResultaat
     */
    public $straat_model_resultaat;
    /**
     * The vorige_verkoop_model_resultaat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\NbwoVorigeVerkoopModelResultaat
     */
    public $vorige_verkoop_model_resultaat;
    /**
     * The kenmerken_model_resultaat
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\NbwoKenmerkenModelResultaat
     */
    public $kenmerken_model_resultaat;
    /**
     * Constructor method for NbwoWaarde
     * @uses NbwoWaarde::setWaarde()
     * @uses NbwoWaarde::setBetrouwbaarheid()
     * @uses NbwoWaarde::setDatum_waardebepaling()
     * @uses NbwoWaarde::setCultuurcode()
     * @uses NbwoWaarde::setWoningtype()
     * @uses NbwoWaarde::setPrijspeil_datum()
     * @uses NbwoWaarde::setStraat()
     * @uses NbwoWaarde::setHuisnummer()
     * @uses NbwoWaarde::setHuisnummer_toevoeging()
     * @uses NbwoWaarde::setPostcode()
     * @uses NbwoWaarde::setPlaats()
     * @uses NbwoWaarde::setOppervlak()
     * @uses NbwoWaarde::setInhoud()
     * @uses NbwoWaarde::setBouwjaar()
     * @uses NbwoWaarde::setGrootte()
     * @uses NbwoWaarde::setGarage()
     * @uses NbwoWaarde::setTuin()
     * @uses NbwoWaarde::setMonument()
     * @uses NbwoWaarde::setSchuur()
     * @uses NbwoWaarde::setPostcode_model_resultaat()
     * @uses NbwoWaarde::setStraat_model_resultaat()
     * @uses NbwoWaarde::setVorige_verkoop_model_resultaat()
     * @uses NbwoWaarde::setKenmerken_model_resultaat()
     * @param int $waarde
     * @param string $betrouwbaarheid
     * @param string $datum_waardebepaling
     * @param string $cultuurcode
     * @param string $woningtype
     * @param string $prijspeil_datum
     * @param string $straat
     * @param int $huisnummer
     * @param string $huisnummer_toevoeging
     * @param string $postcode
     * @param string $plaats
     * @param int $oppervlak
     * @param int $inhoud
     * @param int $bouwjaar
     * @param int $grootte
     * @param bool $garage
     * @param bool $tuin
     * @param bool $monument
     * @param bool $schuur
     * @param \StructType\NbwoPostcodeStraatModelResultaat $postcode_model_resultaat
     * @param \StructType\NbwoPostcodeStraatModelResultaat $straat_model_resultaat
     * @param \StructType\NbwoVorigeVerkoopModelResultaat $vorige_verkoop_model_resultaat
     * @param \StructType\NbwoKenmerkenModelResultaat $kenmerken_model_resultaat
     */
    public function __construct($waarde = null, $betrouwbaarheid = null, $datum_waardebepaling = null, $cultuurcode = null, $woningtype = null, $prijspeil_datum = null, $straat = null, $huisnummer = null, $huisnummer_toevoeging = null, $postcode = null, $plaats = null, $oppervlak = null, $inhoud = null, $bouwjaar = null, $grootte = null, $garage = null, $tuin = null, $monument = null, $schuur = null, \StructType\NbwoPostcodeStraatModelResultaat $postcode_model_resultaat = null, \StructType\NbwoPostcodeStraatModelResultaat $straat_model_resultaat = null, \StructType\NbwoVorigeVerkoopModelResultaat $vorige_verkoop_model_resultaat = null, \StructType\NbwoKenmerkenModelResultaat $kenmerken_model_resultaat = null)
    {
        $this
            ->setWaarde($waarde)
            ->setBetrouwbaarheid($betrouwbaarheid)
            ->setDatum_waardebepaling($datum_waardebepaling)
            ->setCultuurcode($cultuurcode)
            ->setWoningtype($woningtype)
            ->setPrijspeil_datum($prijspeil_datum)
            ->setStraat($straat)
            ->setHuisnummer($huisnummer)
            ->setHuisnummer_toevoeging($huisnummer_toevoeging)
            ->setPostcode($postcode)
            ->setPlaats($plaats)
            ->setOppervlak($oppervlak)
            ->setInhoud($inhoud)
            ->setBouwjaar($bouwjaar)
            ->setGrootte($grootte)
            ->setGarage($garage)
            ->setTuin($tuin)
            ->setMonument($monument)
            ->setSchuur($schuur)
            ->setPostcode_model_resultaat($postcode_model_resultaat)
            ->setStraat_model_resultaat($straat_model_resultaat)
            ->setVorige_verkoop_model_resultaat($vorige_verkoop_model_resultaat)
            ->setKenmerken_model_resultaat($kenmerken_model_resultaat);
    }
    /**
     * Get waarde value
     * @return int|null
     */
    public function getWaarde()
    {
        return $this->waarde;
    }
    /**
     * Set waarde value
     * @param int $waarde
     * @return \StructType\NbwoWaarde
     */
    public function setWaarde($waarde = null)
    {
        // validation for constraint: int
        if (!is_null($waarde) && !(is_int($waarde) || ctype_digit($waarde))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($waarde, true), gettype($waarde)), __LINE__);
        }
        $this->waarde = $waarde;
        return $this;
    }
    /**
     * Get betrouwbaarheid value
     * @return string|null
     */
    public function getBetrouwbaarheid()
    {
        return $this->betrouwbaarheid;
    }
    /**
     * Set betrouwbaarheid value
     * @param string $betrouwbaarheid
     * @return \StructType\NbwoWaarde
     */
    public function setBetrouwbaarheid($betrouwbaarheid = null)
    {
        // validation for constraint: string
        if (!is_null($betrouwbaarheid) && !is_string($betrouwbaarheid)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($betrouwbaarheid, true), gettype($betrouwbaarheid)), __LINE__);
        }
        $this->betrouwbaarheid = $betrouwbaarheid;
        return $this;
    }
    /**
     * Get datum_waardebepaling value
     * @return string|null
     */
    public function getDatum_waardebepaling()
    {
        return $this->datum_waardebepaling;
    }
    /**
     * Set datum_waardebepaling value
     * @param string $datum_waardebepaling
     * @return \StructType\NbwoWaarde
     */
    public function setDatum_waardebepaling($datum_waardebepaling = null)
    {
        // validation for constraint: string
        if (!is_null($datum_waardebepaling) && !is_string($datum_waardebepaling)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($datum_waardebepaling, true), gettype($datum_waardebepaling)), __LINE__);
        }
        $this->datum_waardebepaling = $datum_waardebepaling;
        return $this;
    }
    /**
     * Get cultuurcode value
     * @return string|null
     */
    public function getCultuurcode()
    {
        return $this->cultuurcode;
    }
    /**
     * Set cultuurcode value
     * @param string $cultuurcode
     * @return \StructType\NbwoWaarde
     */
    public function setCultuurcode($cultuurcode = null)
    {
        // validation for constraint: string
        if (!is_null($cultuurcode) && !is_string($cultuurcode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cultuurcode, true), gettype($cultuurcode)), __LINE__);
        }
        $this->cultuurcode = $cultuurcode;
        return $this;
    }
    /**
     * Get woningtype value
     * @return string|null
     */
    public function getWoningtype()
    {
        return $this->woningtype;
    }
    /**
     * Set woningtype value
     * @param string $woningtype
     * @return \StructType\NbwoWaarde
     */
    public function setWoningtype($woningtype = null)
    {
        // validation for constraint: string
        if (!is_null($woningtype) && !is_string($woningtype)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($woningtype, true), gettype($woningtype)), __LINE__);
        }
        $this->woningtype = $woningtype;
        return $this;
    }
    /**
     * Get prijspeil_datum value
     * @return string|null
     */
    public function getPrijspeil_datum()
    {
        return $this->prijspeil_datum;
    }
    /**
     * Set prijspeil_datum value
     * @param string $prijspeil_datum
     * @return \StructType\NbwoWaarde
     */
    public function setPrijspeil_datum($prijspeil_datum = null)
    {
        // validation for constraint: string
        if (!is_null($prijspeil_datum) && !is_string($prijspeil_datum)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($prijspeil_datum, true), gettype($prijspeil_datum)), __LINE__);
        }
        $this->prijspeil_datum = $prijspeil_datum;
        return $this;
    }
    /**
     * Get straat value
     * @return string|null
     */
    public function getStraat()
    {
        return $this->straat;
    }
    /**
     * Set straat value
     * @param string $straat
     * @return \StructType\NbwoWaarde
     */
    public function setStraat($straat = null)
    {
        // validation for constraint: string
        if (!is_null($straat) && !is_string($straat)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($straat, true), gettype($straat)), __LINE__);
        }
        $this->straat = $straat;
        return $this;
    }
    /**
     * Get huisnummer value
     * @return int|null
     */
    public function getHuisnummer()
    {
        return $this->huisnummer;
    }
    /**
     * Set huisnummer value
     * @param int $huisnummer
     * @return \StructType\NbwoWaarde
     */
    public function setHuisnummer($huisnummer = null)
    {
        // validation for constraint: int
        if (!is_null($huisnummer) && !(is_int($huisnummer) || ctype_digit($huisnummer))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($huisnummer, true), gettype($huisnummer)), __LINE__);
        }
        $this->huisnummer = $huisnummer;
        return $this;
    }
    /**
     * Get huisnummer_toevoeging value
     * @return string|null
     */
    public function getHuisnummer_toevoeging()
    {
        return $this->huisnummer_toevoeging;
    }
    /**
     * Set huisnummer_toevoeging value
     * @param string $huisnummer_toevoeging
     * @return \StructType\NbwoWaarde
     */
    public function setHuisnummer_toevoeging($huisnummer_toevoeging = null)
    {
        // validation for constraint: string
        if (!is_null($huisnummer_toevoeging) && !is_string($huisnummer_toevoeging)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($huisnummer_toevoeging, true), gettype($huisnummer_toevoeging)), __LINE__);
        }
        $this->huisnummer_toevoeging = $huisnummer_toevoeging;
        return $this;
    }
    /**
     * Get postcode value
     * @return string|null
     */
    public function getPostcode()
    {
        return $this->postcode;
    }
    /**
     * Set postcode value
     * @param string $postcode
     * @return \StructType\NbwoWaarde
     */
    public function setPostcode($postcode = null)
    {
        // validation for constraint: string
        if (!is_null($postcode) && !is_string($postcode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($postcode, true), gettype($postcode)), __LINE__);
        }
        $this->postcode = $postcode;
        return $this;
    }
    /**
     * Get plaats value
     * @return string|null
     */
    public function getPlaats()
    {
        return $this->plaats;
    }
    /**
     * Set plaats value
     * @param string $plaats
     * @return \StructType\NbwoWaarde
     */
    public function setPlaats($plaats = null)
    {
        // validation for constraint: string
        if (!is_null($plaats) && !is_string($plaats)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($plaats, true), gettype($plaats)), __LINE__);
        }
        $this->plaats = $plaats;
        return $this;
    }
    /**
     * Get oppervlak value
     * @return int|null
     */
    public function getOppervlak()
    {
        return $this->oppervlak;
    }
    /**
     * Set oppervlak value
     * @param int $oppervlak
     * @return \StructType\NbwoWaarde
     */
    public function setOppervlak($oppervlak = null)
    {
        // validation for constraint: int
        if (!is_null($oppervlak) && !(is_int($oppervlak) || ctype_digit($oppervlak))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($oppervlak, true), gettype($oppervlak)), __LINE__);
        }
        $this->oppervlak = $oppervlak;
        return $this;
    }
    /**
     * Get inhoud value
     * @return int|null
     */
    public function getInhoud()
    {
        return $this->inhoud;
    }
    /**
     * Set inhoud value
     * @param int $inhoud
     * @return \StructType\NbwoWaarde
     */
    public function setInhoud($inhoud = null)
    {
        // validation for constraint: int
        if (!is_null($inhoud) && !(is_int($inhoud) || ctype_digit($inhoud))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($inhoud, true), gettype($inhoud)), __LINE__);
        }
        $this->inhoud = $inhoud;
        return $this;
    }
    /**
     * Get bouwjaar value
     * @return int|null
     */
    public function getBouwjaar()
    {
        return $this->bouwjaar;
    }
    /**
     * Set bouwjaar value
     * @param int $bouwjaar
     * @return \StructType\NbwoWaarde
     */
    public function setBouwjaar($bouwjaar = null)
    {
        // validation for constraint: int
        if (!is_null($bouwjaar) && !(is_int($bouwjaar) || ctype_digit($bouwjaar))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($bouwjaar, true), gettype($bouwjaar)), __LINE__);
        }
        $this->bouwjaar = $bouwjaar;
        return $this;
    }
    /**
     * Get grootte value
     * @return int|null
     */
    public function getGrootte()
    {
        return $this->grootte;
    }
    /**
     * Set grootte value
     * @param int $grootte
     * @return \StructType\NbwoWaarde
     */
    public function setGrootte($grootte = null)
    {
        // validation for constraint: int
        if (!is_null($grootte) && !(is_int($grootte) || ctype_digit($grootte))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($grootte, true), gettype($grootte)), __LINE__);
        }
        $this->grootte = $grootte;
        return $this;
    }
    /**
     * Get garage value
     * @return bool|null
     */
    public function getGarage()
    {
        return $this->garage;
    }
    /**
     * Set garage value
     * @param bool $garage
     * @return \StructType\NbwoWaarde
     */
    public function setGarage($garage = null)
    {
        // validation for constraint: boolean
        if (!is_null($garage) && !is_bool($garage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($garage, true), gettype($garage)), __LINE__);
        }
        $this->garage = $garage;
        return $this;
    }
    /**
     * Get tuin value
     * @return bool|null
     */
    public function getTuin()
    {
        return $this->tuin;
    }
    /**
     * Set tuin value
     * @param bool $tuin
     * @return \StructType\NbwoWaarde
     */
    public function setTuin($tuin = null)
    {
        // validation for constraint: boolean
        if (!is_null($tuin) && !is_bool($tuin)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($tuin, true), gettype($tuin)), __LINE__);
        }
        $this->tuin = $tuin;
        return $this;
    }
    /**
     * Get monument value
     * @return bool|null
     */
    public function getMonument()
    {
        return $this->monument;
    }
    /**
     * Set monument value
     * @param bool $monument
     * @return \StructType\NbwoWaarde
     */
    public function setMonument($monument = null)
    {
        // validation for constraint: boolean
        if (!is_null($monument) && !is_bool($monument)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($monument, true), gettype($monument)), __LINE__);
        }
        $this->monument = $monument;
        return $this;
    }
    /**
     * Get schuur value
     * @return bool|null
     */
    public function getSchuur()
    {
        return $this->schuur;
    }
    /**
     * Set schuur value
     * @param bool $schuur
     * @return \StructType\NbwoWaarde
     */
    public function setSchuur($schuur = null)
    {
        // validation for constraint: boolean
        if (!is_null($schuur) && !is_bool($schuur)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($schuur, true), gettype($schuur)), __LINE__);
        }
        $this->schuur = $schuur;
        return $this;
    }
    /**
     * Get postcode_model_resultaat value
     * @return \StructType\NbwoPostcodeStraatModelResultaat|null
     */
    public function getPostcode_model_resultaat()
    {
        return $this->postcode_model_resultaat;
    }
    /**
     * Set postcode_model_resultaat value
     * @param \StructType\NbwoPostcodeStraatModelResultaat $postcode_model_resultaat
     * @return \StructType\NbwoWaarde
     */
    public function setPostcode_model_resultaat(\StructType\NbwoPostcodeStraatModelResultaat $postcode_model_resultaat = null)
    {
        $this->postcode_model_resultaat = $postcode_model_resultaat;
        return $this;
    }
    /**
     * Get straat_model_resultaat value
     * @return \StructType\NbwoPostcodeStraatModelResultaat|null
     */
    public function getStraat_model_resultaat()
    {
        return $this->straat_model_resultaat;
    }
    /**
     * Set straat_model_resultaat value
     * @param \StructType\NbwoPostcodeStraatModelResultaat $straat_model_resultaat
     * @return \StructType\NbwoWaarde
     */
    public function setStraat_model_resultaat(\StructType\NbwoPostcodeStraatModelResultaat $straat_model_resultaat = null)
    {
        $this->straat_model_resultaat = $straat_model_resultaat;
        return $this;
    }
    /**
     * Get vorige_verkoop_model_resultaat value
     * @return \StructType\NbwoVorigeVerkoopModelResultaat|null
     */
    public function getVorige_verkoop_model_resultaat()
    {
        return $this->vorige_verkoop_model_resultaat;
    }
    /**
     * Set vorige_verkoop_model_resultaat value
     * @param \StructType\NbwoVorigeVerkoopModelResultaat $vorige_verkoop_model_resultaat
     * @return \StructType\NbwoWaarde
     */
    public function setVorige_verkoop_model_resultaat(\StructType\NbwoVorigeVerkoopModelResultaat $vorige_verkoop_model_resultaat = null)
    {
        $this->vorige_verkoop_model_resultaat = $vorige_verkoop_model_resultaat;
        return $this;
    }
    /**
     * Get kenmerken_model_resultaat value
     * @return \StructType\NbwoKenmerkenModelResultaat|null
     */
    public function getKenmerken_model_resultaat()
    {
        return $this->kenmerken_model_resultaat;
    }
    /**
     * Set kenmerken_model_resultaat value
     * @param \StructType\NbwoKenmerkenModelResultaat $kenmerken_model_resultaat
     * @return \StructType\NbwoWaarde
     */
    public function setKenmerken_model_resultaat(\StructType\NbwoKenmerkenModelResultaat $kenmerken_model_resultaat = null)
    {
        $this->kenmerken_model_resultaat = $kenmerken_model_resultaat;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\NbwoWaarde
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
