<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sepaMatchAccountHolderResponseType StructType
 * @subpackage Structs
 */
class SepaMatchAccountHolderResponseType extends AbstractStructBase
{
    /**
     * The match_account_holder
     * @var \StructType\SepaMatchAccountHolderResult
     */
    public $match_account_holder;
    /**
     * Constructor method for sepaMatchAccountHolderResponseType
     * @uses SepaMatchAccountHolderResponseType::setMatch_account_holder()
     * @param \StructType\SepaMatchAccountHolderResult $match_account_holder
     */
    public function __construct(\StructType\SepaMatchAccountHolderResult $match_account_holder = null)
    {
        $this
            ->setMatch_account_holder($match_account_holder);
    }
    /**
     * Get match_account_holder value
     * @return \StructType\SepaMatchAccountHolderResult|null
     */
    public function getMatch_account_holder()
    {
        return $this->match_account_holder;
    }
    /**
     * Set match_account_holder value
     * @param \StructType\SepaMatchAccountHolderResult $match_account_holder
     * @return \StructType\SepaMatchAccountHolderResponseType
     */
    public function setMatch_account_holder(\StructType\SepaMatchAccountHolderResult $match_account_holder = null)
    {
        $this->match_account_holder = $match_account_holder;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SepaMatchAccountHolderResponseType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
